------------------------------------------------------------------------
r925 | lh3lh3 | 2011-02-28 15:45:17 -0500 (Mon, 28 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/phase.c

minor changes to a heuristic rule

------------------------------------------------------------------------
r924 | lh3lh3 | 2011-02-28 15:24:04 -0500 (Mon, 28 Feb 2011) | 4 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bcftools/vcfutils.pl
   M /trunk/samtools/phase.c

 * 0.1.12-r924:126
 * fixed a bug in phase (due to recent changes)
 * fixed a bug in vcf2fq

------------------------------------------------------------------------
r923 | lh3lh3 | 2011-02-28 12:57:39 -0500 (Mon, 28 Feb 2011) | 5 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/phase.c

 * put version number in bam.h
 * write version to BCF
 * in phase, change the default -q to 37
 * output a little more information during phasing

------------------------------------------------------------------------
r922 | lh3lh3 | 2011-02-25 16:40:09 -0500 (Fri, 25 Feb 2011) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.tex
   M /trunk/samtools/bcftools/bcf2qcall.c
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/ld.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/vcf.c
   M /trunk/samtools/cut_target.c

 * change the order of PL/GL according to the latest VCF spec
 * change the type of SP to int32_t

------------------------------------------------------------------------
r921 | lh3lh3 | 2011-02-25 14:40:56 -0500 (Fri, 25 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.tex

update the BCF spec

------------------------------------------------------------------------
r920 | lh3lh3 | 2011-02-25 00:59:27 -0500 (Fri, 25 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/cut_target.c
   M /trunk/samtools/errmod.h
   M /trunk/samtools/faidx.c
   M /trunk/samtools/khash.h
   M /trunk/samtools/kstring.c
   M /trunk/samtools/kstring.h
   A /trunk/samtools/phase.c
   M /trunk/samtools/samtools.1

added the phase command

------------------------------------------------------------------------
r918 | lh3lh3 | 2011-02-24 10:05:54 -0500 (Thu, 24 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

added "const" to bcf_p1_cal()

------------------------------------------------------------------------
r917 | lh3lh3 | 2011-02-24 09:36:30 -0500 (Thu, 24 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bam.c

more meaningful BAM truncation message

------------------------------------------------------------------------
r916 | lh3lh3 | 2011-02-24 09:35:06 -0500 (Thu, 24 Feb 2011) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/vcf.c

 * automatically fix errors in GL
 * output unrecognized FORMAT as "."

------------------------------------------------------------------------
r913 | lh3lh3 | 2011-02-10 22:59:47 -0500 (Thu, 10 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/vcf.c

finished VCF->BCF conversion

------------------------------------------------------------------------
r910 | petulda | 2011-02-03 03:13:48 -0500 (Thu, 03 Feb 2011) | 1 line
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

Prevent division by zero
------------------------------------------------------------------------
r909 | lh3lh3 | 2011-02-02 11:29:20 -0500 (Wed, 02 Feb 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c

fixed a typo in the VCF header

------------------------------------------------------------------------
r908 | lh3lh3 | 2011-02-02 11:28:24 -0500 (Wed, 02 Feb 2011) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam_index.c

 * fixed an out-of-boundary bug
 * improved sorting order checking in index

------------------------------------------------------------------------
r907 | lh3lh3 | 2011-01-29 22:59:20 -0500 (Sat, 29 Jan 2011) | 4 lines
Changed paths:
   M /trunk/samtools/INSTALL
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/knetfile.c

 * avoid a segfault when network connect fails
 * update INSTALL
 * fixed a bug in tview on big-endian by Nathan Weeks

------------------------------------------------------------------------
r903 | lh3lh3 | 2011-01-27 14:50:02 -0500 (Thu, 27 Jan 2011) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_md.c

 * fixed a rare memory issue in bam_md.c
 * fixed a bug in indel calling related to unmapped and refskip reads

------------------------------------------------------------------------
r902 | lh3lh3 | 2011-01-23 21:46:18 -0500 (Sun, 23 Jan 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/fet.c

fixed two minor bugs in Fisher's exact test

------------------------------------------------------------------------
r899 | petulda | 2011-01-19 09:28:02 -0500 (Wed, 19 Jan 2011) | 1 line
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

Skip sites with unknown ref
------------------------------------------------------------------------
r898 | lh3lh3 | 2011-01-15 12:56:05 -0500 (Sat, 15 Jan 2011) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_md.c

move bam_nt16_nt4_table[] from bam_maqcns.c to bam_md.c

------------------------------------------------------------------------
r896 | lh3lh3 | 2011-01-06 10:52:15 -0500 (Thu, 06 Jan 2011) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c

 * samtools-0.1.12-10 (r896)
 * allow to exclude read groups in mpileup

------------------------------------------------------------------------
r895 | lh3lh3 | 2011-01-04 11:31:29 -0500 (Tue, 04 Jan 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.tex

sorry. It is SP not ST

------------------------------------------------------------------------
r894 | lh3lh3 | 2011-01-04 11:29:06 -0500 (Tue, 04 Jan 2011) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.tex

added ST

------------------------------------------------------------------------
r893 | petulda | 2011-01-04 06:55:56 -0500 (Tue, 04 Jan 2011) | 1 line
Changed paths:
   M /trunk/samtools/bcftools/call1.c

Fixed a typo in read_samples
------------------------------------------------------------------------
r892 | jmarshall | 2010-12-28 08:06:49 -0500 (Tue, 28 Dec 2010) | 9 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/examples/Makefile

System libraries go *after* user libraries in link commands, because
the user libraries may themselves have dependencies that are satisfied
by the system libraries.  It's not rocket science!

This makes a difference with some linkers; or with -static or --as-needed.

The examples/Makefile fix is from Charles Plessy.
See also http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606004

------------------------------------------------------------------------
r891 | lh3lh3 | 2010-12-21 12:16:33 -0500 (Tue, 21 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c

 * samtools-0.1.12-9 (r891)
 * allow to call SNPs from a subset of samples

------------------------------------------------------------------------
r889 | lh3lh3 | 2010-12-15 11:28:16 -0500 (Wed, 15 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.12-12 (r889)
 * set mapQ as 20 if it equals 255

------------------------------------------------------------------------
r888 | lh3lh3 | 2010-12-14 22:41:09 -0500 (Tue, 14 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

When -B is applied to mpileup, still use paired reads only unless -A is flagged.

------------------------------------------------------------------------
r887 | lh3lh3 | 2010-12-14 22:37:05 -0500 (Tue, 14 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.12-6 (r887)
 * added a hidden option -E to mpileup/calmd. -E triggers an alternative way to apply BAQ.

------------------------------------------------------------------------
r886 | lh3lh3 | 2010-12-14 12:51:03 -0500 (Tue, 14 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

(Arguably) improved the indel caller a tiny bit for lowCov data.

------------------------------------------------------------------------
r885 | petulda | 2010-12-14 04:55:46 -0500 (Tue, 14 Dec 2010) | 1 line
Changed paths:
   M /trunk/samtools/bcftools/call1.c

Fixed the VCF header to pass validation
------------------------------------------------------------------------
r884 | lh3lh3 | 2010-12-12 23:02:19 -0500 (Sun, 12 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * samtools-0.1.12-4 (r884)
 * fixed a long-existing flaw in the INDEL calling model

------------------------------------------------------------------------
r883 | lh3lh3 | 2010-12-11 20:05:42 -0500 (Sat, 11 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/vcfutils.pl

compute max SP and max GQ from sample genotypes

------------------------------------------------------------------------
r880 | lh3lh3 | 2010-12-10 10:50:54 -0500 (Fri, 10 Dec 2010) | 2 lines
Changed paths:
   D /trunk/samtools/bcftools/bcf-fix.pl

drop bcf-fix.pl as it is redundant by the latest changes

------------------------------------------------------------------------
r879 | lh3lh3 | 2010-12-10 10:50:29 -0500 (Fri, 10 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/vcf.c

 * fixed a minor issue in printing VCFs
 * write bcftools specific INFO and FORMAT in the header

------------------------------------------------------------------------
r878 | lh3lh3 | 2010-12-10 10:09:14 -0500 (Fri, 10 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c

Make sure that the GT genotype field is the first

------------------------------------------------------------------------
r877 | lh3lh3 | 2010-12-08 17:27:05 -0500 (Wed, 08 Dec 2010) | 7 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.12-2 (r877)

 * allow to fine control the selection of indel candidates. The current
   setting is okay for lowCov and highCov with ~100 samples, but it
   skips too many indels for highCov with >250 samples.


------------------------------------------------------------------------
r874 | lh3lh3 | 2010-12-07 22:40:35 -0500 (Tue, 07 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

a spelling error..

------------------------------------------------------------------------
r873 | lh3lh3 | 2010-12-07 22:39:57 -0500 (Tue, 07 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.12-1 (r873)
 * added a switch to allow anomalous read pairs in calling

------------------------------------------------------------------------
r872 | lh3lh3 | 2010-12-07 14:43:54 -0500 (Tue, 07 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

fixed a bug in vcf2fq

------------------------------------------------------------------------
r869 | lh3lh3 | 2010-12-05 01:18:06 -0500 (Sun, 05 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c

added a warning for the Windows version

------------------------------------------------------------------------
r868 | lh3lh3 | 2010-12-05 01:05:51 -0500 (Sun, 05 Dec 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c

In ksprintf(), change "%lf" and "%lg" to "%f" and "%g", respectively.
According to the manual page, this change is valid. However, MinGW seems
to interpret "%lf" as "%Lf".

------------------------------------------------------------------------
r867 | lh3lh3 | 2010-12-05 00:35:43 -0500 (Sun, 05 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.mingw
   M /trunk/samtools/bam_aux.c

bring back the windows support

------------------------------------------------------------------------
r866 | lh3lh3 | 2010-12-04 23:33:51 -0500 (Sat, 04 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_reheader.c
   M /trunk/samtools/bcftools/vcfutils.pl

Fixed a compiling error when knetfile is not used.

------------------------------------------------------------------------
r865 | lh3lh3 | 2010-12-04 00:13:22 -0500 (Sat, 04 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

vcf->fastq

------------------------------------------------------------------------
r864 | lh3lh3 | 2010-12-03 17:12:30 -0500 (Fri, 03 Dec 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

 * remove "-f". Instead always compute consensus quality
 * increase the upper limit of quality

------------------------------------------------------------------------
r863 | lh3lh3 | 2010-12-03 15:28:15 -0500 (Fri, 03 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c

more informative error message

------------------------------------------------------------------------
r862 | lh3lh3 | 2010-12-02 16:16:08 -0500 (Thu, 02 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c

Release samtools-0.1.12a

------------------------------------------------------------------------
r861 | lh3lh3 | 2010-12-02 15:55:06 -0500 (Thu, 02 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c

a possible fix to DP4=0,0,0,0; have not tested, but should have no side-effect

------------------------------------------------------------------------
r859 | lh3lh3 | 2010-12-02 11:39:57 -0500 (Thu, 02 Dec 2010) | 2 lines
Changed paths:
   M /trunk/samtools/NEWS
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

Release samtools-0.1.12

------------------------------------------------------------------------
r858 | lh3lh3 | 2010-12-02 11:24:41 -0500 (Thu, 02 Dec 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcf.c

 * samtools-0.1.11-1 (r858)
 * fixed a bug in mpileup which causes segfaults
 * bcftools: do not segfault when BCF contains errors

------------------------------------------------------------------------
r857 | lh3lh3 | 2010-11-30 23:52:50 -0500 (Tue, 30 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_index.c

fixed a memory leak in bam_fetch()

------------------------------------------------------------------------
r856 | lh3lh3 | 2010-11-26 00:07:31 -0500 (Fri, 26 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * fixed a memory violation
 * added splitchr to vcfutils.pl

------------------------------------------------------------------------
r854 | lh3lh3 | 2010-11-23 09:05:08 -0500 (Tue, 23 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/ld.c

fixed a typo/bug in r^2 computation

------------------------------------------------------------------------
r852 | lh3lh3 | 2010-11-21 22:20:20 -0500 (Sun, 21 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c

forget to change the version information

------------------------------------------------------------------------
r851 | lh3lh3 | 2010-11-21 22:16:52 -0500 (Sun, 21 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bcftools/bcftools.1
   M /trunk/samtools/samtools.1

Release samtools-0.1.11

------------------------------------------------------------------------
r844 | lh3lh3 | 2010-11-19 23:16:08 -0500 (Fri, 19 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

 * samtools-0.1.10-9 (r844)
 * added the "folded" or reference-free mode for variant calling

------------------------------------------------------------------------
r843 | lh3lh3 | 2010-11-19 22:26:36 -0500 (Fri, 19 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/NEWS
   M /trunk/samtools/bam_sort.c

In merging, if -R is specified, do not abort if the sequence dictionary is different.

------------------------------------------------------------------------
r842 | jmarshall | 2010-11-19 21:24:28 -0500 (Fri, 19 Nov 2010) | 5 lines
Changed paths:
   M /trunk/samtools/bam_sort.c

When merging BAM headers, compare the list of target reference sequences
strictly (and fail/abort if there is a mismatch), but allow one list to be a
prefix of the other.  (i.e., check that the lists are identical up until the
shorter runs out, and add the excess targets from the longer to the output.)

------------------------------------------------------------------------
r841 | lh3lh3 | 2010-11-19 14:49:27 -0500 (Fri, 19 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.10 (r841)
 * fixed a bug in pileup when the first CIGAR operation is D
 * fixed a bug in view with range query

------------------------------------------------------------------------
r840 | lh3lh3 | 2010-11-19 13:45:51 -0500 (Fri, 19 Nov 2010) | 10 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.10-4 (r840)

 * drop the MNP caller. It is slow while does not diliver too much
   benefit. Possibly I will work on it in future given more time.

 * there is a segfault in pileup 

 * someone has reported segfault from view/index/sort


------------------------------------------------------------------------
r839 | lh3lh3 | 2010-11-18 17:30:11 -0500 (Thu, 18 Nov 2010) | 9 lines
Changed paths:
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.10-6 (r839)

 * call MNPs without realignment because it seems to me that it is not
   worthwhile to significantly slow down SNP calling.

 * the result looks quite different from the previous version. I have
   work to do...


------------------------------------------------------------------------
r838 | lh3lh3 | 2010-11-18 11:26:09 -0500 (Thu, 18 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/knetfile.c

Apply a patch by Rob Davis, which improves fault detection.

------------------------------------------------------------------------
r836 | lh3lh3 | 2010-11-18 11:09:23 -0500 (Thu, 18 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-r836
 * initiate MNP realignment when the MNP has at least 0.2% frequency (otherwise too slow)

------------------------------------------------------------------------
r835 | lh3lh3 | 2010-11-18 00:25:13 -0500 (Thu, 18 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

 * modify the filtering rule: also filter SNPs around filtered indels
 * added MNP filter

------------------------------------------------------------------------
r834 | lh3lh3 | 2010-11-17 23:13:52 -0500 (Wed, 17 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.10-4 (r834)
 * fixed a silly bug in printing MNP
 * restrict to at most 1 alternative allele

------------------------------------------------------------------------
r833 | lh3lh3 | 2010-11-17 21:58:58 -0500 (Wed, 17 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bamtk.c

fixed a bug in printing MNPs

------------------------------------------------------------------------
r832 | lh3lh3 | 2010-11-17 21:47:20 -0500 (Wed, 17 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

minor change to how seqQ is applied

------------------------------------------------------------------------
r831 | lh3lh3 | 2010-11-17 21:41:12 -0500 (Wed, 17 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.10 (r831)
 * initial MNP caller

------------------------------------------------------------------------
r829 | lh3lh3 | 2010-11-16 23:14:15 -0500 (Tue, 16 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c

Release samtools-0.1.10 (r829)

------------------------------------------------------------------------
r828 | lh3lh3 | 2010-11-16 20:48:49 -0500 (Tue, 16 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c

update version information: samtools-0.1.9-20 (r828)

------------------------------------------------------------------------
r827 | lh3lh3 | 2010-11-16 15:32:50 -0500 (Tue, 16 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c

bcftools: allow to skip indels

------------------------------------------------------------------------
r826 | lh3lh3 | 2010-11-16 14:11:58 -0500 (Tue, 16 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_md.c

remove ZQ if both BQ and ZQ are present

------------------------------------------------------------------------
r825 | lh3lh3 | 2010-11-16 13:51:33 -0500 (Tue, 16 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.9-18 (r825)
 * change the behaviour of calmd such that by default it does not change the base quality

------------------------------------------------------------------------
r824 | lh3lh3 | 2010-11-15 23:31:53 -0500 (Mon, 15 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.9-17 (r824)
 * added command line options to change the default parameters in indel calling
 * update the manual

------------------------------------------------------------------------
r823 | lh3lh3 | 2010-11-15 12:20:13 -0500 (Mon, 15 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-r823
 * the BQ tag is now 64 shifted, not 33 shifted

------------------------------------------------------------------------
r822 | lh3lh3 | 2010-11-15 00:30:18 -0500 (Mon, 15 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/vcfutils.pl
   M /trunk/samtools/misc/samtools.pl

 * samtools-0.1.9-16 (r822)
 * keep the raw depth because in indel calling, DP4 may be way off the true depth

------------------------------------------------------------------------
r821 | lh3lh3 | 2010-11-13 01:18:31 -0500 (Sat, 13 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-15 (r821)
 * calmd: write BQ
 * skip realignment if BQ is present

------------------------------------------------------------------------
r820 | lh3lh3 | 2010-11-13 01:08:26 -0500 (Sat, 13 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-14 (r820)
 * penalize reads with excessive differences in indel calling

------------------------------------------------------------------------
r819 | lh3lh3 | 2010-11-12 21:36:27 -0500 (Fri, 12 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-13 (r819)
 * fixed a bug in pileup given refskip

------------------------------------------------------------------------
r818 | lh3lh3 | 2010-11-12 13:04:53 -0500 (Fri, 12 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-r818
 * for indel calling, do two rounds of probabilistic realignments

------------------------------------------------------------------------
r817 | lh3lh3 | 2010-11-11 20:04:07 -0500 (Thu, 11 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * samtools-0.1.19-11 (r817)
 * only initiate indel calling when 0.2% of reads contain a gap

------------------------------------------------------------------------
r816 | lh3lh3 | 2010-11-11 01:22:59 -0500 (Thu, 11 Nov 2010) | 7 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-10 (r816)

 * I know why the forward method fails. it is because of zero base
   qualities. when that is fixed, the forward method seems to give
   better results than Viterbi, as it should be. I am tired...


------------------------------------------------------------------------
r815 | lh3lh3 | 2010-11-11 00:57:15 -0500 (Thu, 11 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam2bcf_indel.c

effectively revert to the viterbi version. The forward realignment gives too many false positives.

------------------------------------------------------------------------
r814 | lh3lh3 | 2010-11-11 00:18:02 -0500 (Thu, 11 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-9 (r810)
 * use forward, instead of viterbi, for realignment
 * realignment is now quality aware

------------------------------------------------------------------------
r813 | lh3lh3 | 2010-11-10 22:45:24 -0500 (Wed, 10 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/kprobaln.c
   M /trunk/samtools/kprobaln.h

 * prepare to replace kaln with kprobaln in realignment

------------------------------------------------------------------------
r812 | lh3lh3 | 2010-11-10 17:28:50 -0500 (Wed, 10 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c

fixed a typo

------------------------------------------------------------------------
r811 | lh3lh3 | 2010-11-10 16:54:46 -0500 (Wed, 10 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h

use zlib for direct reading when BCF_LITE is in use

------------------------------------------------------------------------
r810 | lh3lh3 | 2010-11-10 16:32:13 -0500 (Wed, 10 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c

 * do not use reads containing too many mismatches for indel calling
 * fixed a trivial bug in case of multi-allelic indels

------------------------------------------------------------------------
r809 | lh3lh3 | 2010-11-10 13:23:02 -0500 (Wed, 10 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-8 (r809)
 * fixed a bug in the indel caller

------------------------------------------------------------------------
r808 | lh3lh3 | 2010-11-10 12:24:10 -0500 (Wed, 10 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile

minor change to makefile

------------------------------------------------------------------------
r807 | lh3lh3 | 2010-11-10 12:10:21 -0500 (Wed, 10 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * samtools-0.1.9-8 (r807)
 * collect indel candidates only from specified platforms (@RG-PL)
 * merge varFilter and filter4vcf in vcfutils.pl 

------------------------------------------------------------------------
r806 | lh3lh3 | 2010-11-09 22:05:46 -0500 (Tue, 09 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

bcftools: compute equal-tail (Bayesian) credible interval

------------------------------------------------------------------------
r805 | lh3lh3 | 2010-11-09 16:28:39 -0500 (Tue, 09 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

added a double-hit filter to avoid overestimated indel likelihood

------------------------------------------------------------------------
r804 | lh3lh3 | 2010-11-09 14:12:06 -0500 (Tue, 09 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-7 (r804)
 * fixed a bug in the gap caller

------------------------------------------------------------------------
r803 | lh3lh3 | 2010-11-09 10:45:33 -0500 (Tue, 09 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/prob1.c

 * samtools-0.1.9-6 (r803)
 * mpileup: apply homopolymer correction when calculating GL, instead of before
 * bcftools: apply a different prior to indels

------------------------------------------------------------------------
r802 | lh3lh3 | 2010-11-08 23:53:15 -0500 (Mon, 08 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-5 (r802)
 * relax tandem penalty. this will be made a command-line option in future.

------------------------------------------------------------------------
r801 | lh3lh3 | 2010-11-08 23:35:52 -0500 (Mon, 08 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-4 (r801)
 * fixed a minor issue in printing indel VCF

------------------------------------------------------------------------
r800 | lh3lh3 | 2010-11-08 15:28:14 -0500 (Mon, 08 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bcftools/vcfutils.pl

fixed another silly bug in mpileup's indel caller

------------------------------------------------------------------------
r799 | lh3lh3 | 2010-11-08 14:28:27 -0500 (Mon, 08 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c

fixed a silly bug in the indel caller

------------------------------------------------------------------------
r798 | lh3lh3 | 2010-11-08 14:07:33 -0500 (Mon, 08 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/sam_view.c
   M /trunk/samtools/samtools.1

Incorporate patches by Marcel Martin for read counting.

------------------------------------------------------------------------
r797 | lh3lh3 | 2010-11-08 13:39:52 -0500 (Mon, 08 Nov 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-2 (r797)
 * mpileup: indel calling seems to be working

------------------------------------------------------------------------
r796 | lh3lh3 | 2010-11-08 10:54:46 -0500 (Mon, 08 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/kaln.c

indel calling is apparently working, but more information needs to be collected

------------------------------------------------------------------------
r795 | lh3lh3 | 2010-11-08 00:39:18 -0500 (Mon, 08 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf_indel.c

fixed a few bugs in the indel caller. Probably there are more.

------------------------------------------------------------------------
r794 | lh3lh3 | 2010-11-07 22:23:16 -0500 (Sun, 07 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   A /trunk/samtools/bam2bcf_indel.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/kaln.c
   M /trunk/samtools/kaln.h

prepare for the indel caller. It is not ready yet.

------------------------------------------------------------------------
r793 | lh3lh3 | 2010-11-05 11:28:23 -0400 (Fri, 05 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c

Revert to r790. The recent changes are not good...

------------------------------------------------------------------------
r792 | lh3lh3 | 2010-11-05 00:19:14 -0400 (Fri, 05 Nov 2010) | 6 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c

 * this revision is UNSTABLE

 * indel caller seems working, but it is very insensitive and has
   several things I do not quite understand.


------------------------------------------------------------------------
r791 | lh3lh3 | 2010-11-04 22:58:43 -0400 (Thu, 04 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c

for backup. no effective changes

------------------------------------------------------------------------
r790 | lh3lh3 | 2010-11-03 15:51:24 -0400 (Wed, 03 Nov 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl
   M /trunk/samtools/kprobaln.c

fixed a minor problem in the example coming with kprobaln.c

------------------------------------------------------------------------
r789 | lh3lh3 | 2010-11-02 15:41:27 -0400 (Tue, 02 Nov 2010) | 4 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/kaln.c
   M /trunk/samtools/kaln.h
   A /trunk/samtools/kprobaln.c
   A /trunk/samtools/kprobaln.h

Separate kaln and kprobaln as I am preparing further changes. At
present, the results should be identical to the previous.


------------------------------------------------------------------------
r788 | petulda | 2010-11-02 12:19:04 -0400 (Tue, 02 Nov 2010) | 1 line
Changed paths:
   M /trunk/samtools/bam_plcmd.c

Added -b option: read file names from a file
------------------------------------------------------------------------
r787 | lh3lh3 | 2010-10-29 23:17:22 -0400 (Fri, 29 Oct 2010) | 7 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.9-2 (r787)

 * Allow to set a maximum per-sample depth to reduce memory. However,
   BAQ computation is still applied to every read. The speed is not
   improved.


------------------------------------------------------------------------
r786 | lh3lh3 | 2010-10-29 12:10:40 -0400 (Fri, 29 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/vcf.c

 * samtools-0.1.9-1 (r786)
 * samtools: optionally perform exact test for each sample

------------------------------------------------------------------------
r785 | lh3lh3 | 2010-10-29 09:42:25 -0400 (Fri, 29 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bcftools/bcf.c

Optionally output "DP", the individual read depth

------------------------------------------------------------------------
r784 | lh3lh3 | 2010-10-27 23:10:27 -0400 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/samtools.1

acknowledge Petr and John who have greatly contributed to the project.

------------------------------------------------------------------------
r783 | lh3lh3 | 2010-10-27 22:47:47 -0400 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

Release samtools-0.1.9 (r783)

------------------------------------------------------------------------
r782 | lh3lh3 | 2010-10-27 19:58:54 -0400 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

fixed a silly bug in pileup

------------------------------------------------------------------------
r781 | lh3lh3 | 2010-10-27 14:39:48 -0400 (Wed, 27 Oct 2010) | 5 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.8-22 (r781)
 * made BAQ the default behavior of mpileup
 * updated manual
 * in merge, force to exit given inconsistent header when "-R" is not in use.

------------------------------------------------------------------------
r780 | lh3lh3 | 2010-10-27 11:01:11 -0400 (Wed, 27 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-21 (r780)
 * minor speedup to pileup

------------------------------------------------------------------------
r779 | lh3lh3 | 2010-10-27 09:58:56 -0400 (Wed, 27 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/examples/toy.sam

improve pileup a little bit

------------------------------------------------------------------------
r778 | lh3lh3 | 2010-10-27 00:14:43 -0400 (Wed, 27 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-20 (r778)
 * speed up pileup, although I do not know how much is the improvement

------------------------------------------------------------------------
r777 | lh3lh3 | 2010-10-26 17:26:04 -0400 (Tue, 26 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/examples/Makefile

 * samtools-0.1.8-19 (r777)
 * integrate mpileup features to pileup: min_baseQ, capQ, prob_realn, paired-only and biased prior

------------------------------------------------------------------------
r776 | lh3lh3 | 2010-10-26 15:27:46 -0400 (Tue, 26 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_md.c

remove local realignment (probabilistic realignment is still there)

------------------------------------------------------------------------
r774 | jmarshall | 2010-10-21 06:52:38 -0400 (Thu, 21 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/sam_view.c

Add the relevant filename or region to error messages, and cause a failure
exit status where appropriate.  Based on a patch provided by Marcel Martin.

------------------------------------------------------------------------
r773 | lh3lh3 | 2010-10-19 19:44:31 -0400 (Tue, 19 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/examples/toy.sam
   M /trunk/samtools/kaln.c

 * Minor code changes. No real effect.
 * change quality to 30 in toy.sam

------------------------------------------------------------------------
r772 | lh3lh3 | 2010-10-18 23:40:13 -0400 (Mon, 18 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/examples/toy.fa
   M /trunk/samtools/examples/toy.sam

added another toy example

------------------------------------------------------------------------
r771 | lh3lh3 | 2010-10-13 23:32:12 -0400 (Wed, 13 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/ld.c
   M /trunk/samtools/bcftools/vcfutils.pl

improve the LD statistics

------------------------------------------------------------------------
r770 | lh3lh3 | 2010-10-12 23:49:26 -0400 (Tue, 12 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * a minor fix to the -L option
 * add ldstats to vcfutils.pl

------------------------------------------------------------------------
r769 | lh3lh3 | 2010-10-12 15:51:57 -0400 (Tue, 12 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c

a minor change

------------------------------------------------------------------------
r768 | lh3lh3 | 2010-10-12 15:49:06 -0400 (Tue, 12 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   A /trunk/samtools/bcftools/ld.c

forget to add the key file

------------------------------------------------------------------------
r767 | lh3lh3 | 2010-10-12 15:48:46 -0400 (Tue, 12 Oct 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * vcfutils.pl: fixed a typo in help message
 * added APIs: bcf_append_info() and bcf_cpy()
 * calculate adjacent LD

------------------------------------------------------------------------
r766 | lh3lh3 | 2010-10-11 11:06:40 -0400 (Mon, 11 Oct 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

added filter for samtools/bcftools genetated VCFs

------------------------------------------------------------------------
r765 | lh3lh3 | 2010-10-05 14:05:18 -0400 (Tue, 05 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl
   M /trunk/samtools/kaln.c

 * removed a comment line in kaln.c
 * vcfutils.pl fillac works when GT is not the first field

------------------------------------------------------------------------
r764 | petulda | 2010-10-05 08:59:36 -0400 (Tue, 05 Oct 2010) | 1 line
Changed paths:
   A /trunk/samtools/bcftools/bcf-fix.pl

Convert VCF output of "bcftools view -bgcv" to a valid VCF file
------------------------------------------------------------------------
r763 | lh3lh3 | 2010-10-02 22:51:03 -0400 (Sat, 02 Oct 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/bcftools/bcftools.1
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.8-18 (r763)
 * added bcftools manual page
 * minor fix to mpileup and view command lines

------------------------------------------------------------------------
r762 | lh3lh3 | 2010-10-02 21:46:25 -0400 (Sat, 02 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * vcfutils.pl qstats: calculate marginal ts/tv
 * allow to call genotypes at variant sites

------------------------------------------------------------------------
r761 | lh3lh3 | 2010-10-01 00:29:55 -0400 (Fri, 01 Oct 2010) | 3 lines
Changed paths:
   M /trunk/samtools/kaln.c
   M /trunk/samtools/misc/HmmGlocal.java

I am changing the gap open probability back to 0.001. It seems that
being conservative here is a good thing...

------------------------------------------------------------------------
r760 | lh3lh3 | 2010-10-01 00:11:27 -0400 (Fri, 01 Oct 2010) | 5 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kaln.c
   A /trunk/samtools/misc/HmmGlocal.java

 * samtools-0.1.8-17 (r760)
 * the default gap open penalty is too small (a typo)
 * added comments on hmm_realn
 * Java implementation

------------------------------------------------------------------------
r759 | lh3lh3 | 2010-09-30 10:12:54 -0400 (Thu, 30 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c

mark samtools-0.1.8-16 (r759)

------------------------------------------------------------------------
r758 | lh3lh3 | 2010-09-30 10:12:02 -0400 (Thu, 30 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

round to the nearest integer

------------------------------------------------------------------------
r757 | lh3lh3 | 2010-09-28 17:16:43 -0400 (Tue, 28 Sep 2010) | 4 lines
Changed paths:
   M /trunk/samtools/kaln.c

I was trying to accelerate ka_prob_glocal() as this will be the
bottleneck. After an hour, the only gain is to change division to
multiplication. OK. I will stop.

------------------------------------------------------------------------
r756 | lh3lh3 | 2010-09-28 16:57:49 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

this is interesting. multiplication is much faster than division, at least on my Mac

------------------------------------------------------------------------
r755 | lh3lh3 | 2010-09-28 16:19:13 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

minor changes

------------------------------------------------------------------------
r754 | lh3lh3 | 2010-09-28 15:44:16 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/kaln.c

prob_realn() seems working!

------------------------------------------------------------------------
r753 | lh3lh3 | 2010-09-28 12:48:23 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

minor

------------------------------------------------------------------------
r752 | lh3lh3 | 2010-09-28 12:47:41 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c
   M /trunk/samtools/kaln.h

Convert phredQ to probabilities

------------------------------------------------------------------------
r751 | lh3lh3 | 2010-09-28 12:32:08 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c
   M /trunk/samtools/kaln.h

Implement the glocal HMM; discard the extention HMM

------------------------------------------------------------------------
r750 | lh3lh3 | 2010-09-28 00:06:11 -0400 (Tue, 28 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

improve numerical stability

------------------------------------------------------------------------
r749 | lh3lh3 | 2010-09-27 23:27:54 -0400 (Mon, 27 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

more comments

------------------------------------------------------------------------
r748 | lh3lh3 | 2010-09-27 23:17:16 -0400 (Mon, 27 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

fixed a bug in banded DP

------------------------------------------------------------------------
r747 | lh3lh3 | 2010-09-27 23:05:12 -0400 (Mon, 27 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/kaln.c

 * fixed that weird issue.
 * the banded version is NOT working

------------------------------------------------------------------------
r746 | lh3lh3 | 2010-09-27 22:57:05 -0400 (Mon, 27 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/kaln.c

More comments. This version seems working, but something is a little weird...

------------------------------------------------------------------------
r745 | lh3lh3 | 2010-09-27 17:21:40 -0400 (Mon, 27 Sep 2010) | 6 lines
Changed paths:
   M /trunk/samtools/kaln.c

A little code cleanup. Now the forward and backback algorithms give
nearly identical P(x), which means both are close to the correct
forms. However, I have only tested on toy examples. Minor errors in
the implementation may not be obvious.


------------------------------------------------------------------------
r744 | lh3lh3 | 2010-09-27 16:55:15 -0400 (Mon, 27 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/kaln.c
   M /trunk/samtools/kaln.h

...

------------------------------------------------------------------------
r743 | jmarshall | 2010-09-27 08:19:06 -0400 (Mon, 27 Sep 2010) | 6 lines
Changed paths:
   M /trunk/samtools/bam_sort.c

Abort if merge -h's INH.SAM cannot be opened, just as we abort
if any of the IN#.BAM input files cannot be opened.

Also propagate any error indication returned by bam_merge_core()
to samtools merge's exit status.

------------------------------------------------------------------------
r741 | jmarshall | 2010-09-24 11:08:24 -0400 (Fri, 24 Sep 2010) | 5 lines
Changed paths:
   M /trunk/samtools/bam_index.c

Use bam_validate1() to detect garbage records in the event of a corrupt
BAI index file that causes a bam_seek() to an invalid position.  At most
one record (namely, the bam_iter_read terminator) is tested per bam_fetch()
call, so the cost is insignificant in the normal case.

------------------------------------------------------------------------
r740 | jmarshall | 2010-09-24 11:00:19 -0400 (Fri, 24 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h

Add bam_validate1().

------------------------------------------------------------------------
r739 | lh3lh3 | 2010-09-22 12:07:50 -0400 (Wed, 22 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-15 (r379)
 * allow to change capQ parameter in calmd

------------------------------------------------------------------------
r738 | jmarshall | 2010-09-22 11:15:33 -0400 (Wed, 22 Sep 2010) | 13 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/sam_view.c

When bam_read1() returns an error (return value <= -2), propagate that error
to bam_iter_read()'s own return value.  Similarly, also propagate it up to
bam_fetch()'s return value.  Previously bam_fetch() always returned 0, and
callers ignored its return value anyway.  With this change, 0 continues to
indicate success, while <= -2 (which can be written as < 0, as -1 is never
returned) indicates corrupted input.

bam_iter_read() ought also to propagate errors returned by bam_seek().

main_samview() can now print an error message and fail when bam_fetch()
detects that a .bai index file is corrupted or otherwise does not correspond
to the .bam file it is being used with.

------------------------------------------------------------------------
r737 | jmarshall | 2010-09-22 10:47:42 -0400 (Wed, 22 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c

0 is a successful return value from bam_read1().  (In practice, it never
returns 0 anyway; but all the other callers treat 0 as successful.)

------------------------------------------------------------------------
r736 | lh3lh3 | 2010-09-20 17:43:08 -0400 (Mon, 20 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_sort.c

 * merge files region-by-region. work on small examples but more tests are needed.

------------------------------------------------------------------------
r735 | lh3lh3 | 2010-09-20 16:56:24 -0400 (Mon, 20 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

improve qstats by checking the alleles as well

------------------------------------------------------------------------
r734 | lh3lh3 | 2010-09-17 18:12:13 -0400 (Fri, 17 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

convert UCSC SNP SQL dump to VCF

------------------------------------------------------------------------
r733 | lh3lh3 | 2010-09-17 13:02:11 -0400 (Fri, 17 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

hapmap2vcf convertor

------------------------------------------------------------------------
r732 | lh3lh3 | 2010-09-17 10:11:37 -0400 (Fri, 17 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/vcf.c

 * added comments
 * VCF->BCF is not possible without knowing the sequence dictionary before hand...

------------------------------------------------------------------------
r731 | lh3lh3 | 2010-09-17 09:15:53 -0400 (Fri, 17 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/vcf.c

 * put n_smpl to "bcf1_t" to simplify API a little

------------------------------------------------------------------------
r730 | lh3lh3 | 2010-09-16 21:36:01 -0400 (Thu, 16 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/index.c

fixed a bug in indexing

------------------------------------------------------------------------
r729 | lh3lh3 | 2010-09-16 16:54:48 -0400 (Thu, 16 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_pileup.c

 * fixed a bug in capQ
 * valgrind identifies a use of uninitialised value, but I have not fixed it.

------------------------------------------------------------------------
r728 | lh3lh3 | 2010-09-16 15:03:59 -0400 (Thu, 16 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bgzip.c
   M /trunk/samtools/razip.c

 * fixed a bug in razip: -c will delete the input file
 * copy tabix/bgzip to here

------------------------------------------------------------------------
r727 | lh3lh3 | 2010-09-16 13:45:49 -0400 (Thu, 16 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-14 (r727)
 * allow to change the capQ parameter at the command line

------------------------------------------------------------------------
r726 | lh3lh3 | 2010-09-16 13:38:43 -0400 (Thu, 16 Sep 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bcftools/vcfutils.pl
   M /trunk/samtools/misc/samtools.pl

 * added varFilter to vcfutils.pl
 * reimplement realn(). now it performs a local alignment
 * added cap_mapQ() to cap mapping quality when there are many substitutions

------------------------------------------------------------------------
r724 | lh3lh3 | 2010-09-15 00:18:31 -0400 (Wed, 15 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   A /trunk/samtools/bcftools/bcf2qcall.c
   M /trunk/samtools/bcftools/call1.c

 * convert BCF to QCALL input

------------------------------------------------------------------------
r723 | lh3lh3 | 2010-09-14 22:41:50 -0400 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_md.c

dynamic band width in realignment

------------------------------------------------------------------------
r722 | lh3lh3 | 2010-09-14 22:05:32 -0400 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c

fixed a bug in realignment

------------------------------------------------------------------------
r721 | lh3lh3 | 2010-09-14 20:54:09 -0400 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/prob1.c

fixed a minor issue

------------------------------------------------------------------------
r720 | lh3lh3 | 2010-09-14 19:25:10 -0400 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_md.c

fixed a bug in realignment

------------------------------------------------------------------------
r719 | lh3lh3 | 2010-09-14 19:18:24 -0400 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

minor changes. It is BUGGY now!

------------------------------------------------------------------------
r718 | lh3lh3 | 2010-09-14 16:32:33 -0400 (Tue, 14 Sep 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/kaln.c
   M /trunk/samtools/kaln.h

 * aggressive gapped aligner is implemented in calmd.
 * distinguish gap_open and gap_end_open in banded alignment
 * make tview accepts alignment with heading and tailing D

------------------------------------------------------------------------
r717 | jmarshall | 2010-09-14 09:04:28 -0400 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools

Add svn:ignore properties for generated files that don't appear in "make all".

------------------------------------------------------------------------
r716 | jmarshall | 2010-09-13 08:37:53 -0400 (Mon, 13 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools
   M /trunk/samtools/bcftools
   M /trunk/samtools/misc

Add svn:ignore properties listing the generated files.
(Except for *.o, which we'll assume is in global-ignores.)

------------------------------------------------------------------------
r715 | lh3lh3 | 2010-09-08 12:53:55 -0400 (Wed, 08 Sep 2010) | 5 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/sample.c
   M /trunk/samtools/sample.h

 * samtools-0.1.8-13 (r715)
 * fixed a bug in identifying SM across files
 * bcftools: estimate heterozygosity
 * bcftools: allow to skip sites without reference bases

------------------------------------------------------------------------
r713 | lh3lh3 | 2010-09-03 17:19:12 -0400 (Fri, 03 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

quite a lot changes to the contrast caller, but I still feel something is missing...

------------------------------------------------------------------------
r711 | lh3lh3 | 2010-09-03 00:30:48 -0400 (Fri, 03 Sep 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/vcfutils.pl

 * changed 3.434 to 4.343 (typo!)
 * fixed a bug in the contrast caller
 * calculate heterozygosity

------------------------------------------------------------------------
r710 | lh3lh3 | 2010-09-01 23:24:47 -0400 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c

SNP calling from the GL field

------------------------------------------------------------------------
r709 | lh3lh3 | 2010-09-01 18:52:30 -0400 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcf.c

fixed another problem

------------------------------------------------------------------------
r708 | lh3lh3 | 2010-09-01 18:31:17 -0400 (Wed, 01 Sep 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/vcf.c

 * fixed bugs in parsing VCF
 * parser now works with GT/GQ/DP/PL/GL

------------------------------------------------------------------------
r707 | lh3lh3 | 2010-09-01 15:28:29 -0400 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/prob1.c

Do not compile _BCF_QUAD by default

------------------------------------------------------------------------
r706 | lh3lh3 | 2010-09-01 15:21:41 -0400 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/call1.c

Write the correct ALT and PL in the SNP calling mode.

------------------------------------------------------------------------
r705 | lh3lh3 | 2010-09-01 12:50:33 -0400 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfutils.pl

more commands for my own uses

------------------------------------------------------------------------
r704 | lh3lh3 | 2010-09-01 09:26:10 -0400 (Wed, 01 Sep 2010) | 2 lines
Changed paths:
   A /trunk/samtools/bcftools/vcfutils.pl

Utilities for processing VCF

------------------------------------------------------------------------
r703 | lh3lh3 | 2010-08-31 16:44:57 -0400 (Tue, 31 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

preliminary contrast variant caller

------------------------------------------------------------------------
r702 | lh3lh3 | 2010-08-31 12:28:39 -0400 (Tue, 31 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/call1.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h

z' and z'' can be calculated

------------------------------------------------------------------------
r701 | lh3lh3 | 2010-08-31 10:20:57 -0400 (Tue, 31 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   A /trunk/samtools/bcftools/call1.c (from /trunk/samtools/bcftools/vcfout.c:699)
   M /trunk/samtools/bcftools/prob1.c
   D /trunk/samtools/bcftools/vcfout.c

 * rename vcfout.c as call1.c
 * prepare to add two-sample comparison

------------------------------------------------------------------------
r699 | lh3lh3 | 2010-08-24 15:28:16 -0400 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfout.c

fixed a bug in calculating the t statistics

------------------------------------------------------------------------
r698 | lh3lh3 | 2010-08-24 14:05:50 -0400 (Tue, 24 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcftools/kfunc.c
   M /trunk/samtools/bcftools/vcfout.c

 * samtools-0.1.8-13 (r698)
 * perform one-tailed t-test for baseQ, mapQ and endDist

------------------------------------------------------------------------
r697 | lh3lh3 | 2010-08-24 12:30:13 -0400 (Tue, 24 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/kfunc.c

added regularized incomplete beta function

------------------------------------------------------------------------
r695 | lh3lh3 | 2010-08-23 17:36:17 -0400 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_plcmd.c

change the default correlation coefficient

------------------------------------------------------------------------
r694 | lh3lh3 | 2010-08-23 14:46:52 -0400 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/vcfout.c

print QUAL as floating numbers

------------------------------------------------------------------------
r693 | lh3lh3 | 2010-08-23 14:06:07 -0400 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/examples/Makefile
   A /trunk/samtools/sample.c
   A /trunk/samtools/sample.h

 * samtools-0.1.8-12 (r692)
 * group data by samples in "mpileup -g"

------------------------------------------------------------------------
r692 | lh3lh3 | 2010-08-23 10:58:53 -0400 (Mon, 23 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   D /trunk/samtools/bam_mcns.c
   D /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c

remove VCF output in mpileup

------------------------------------------------------------------------
r691 | lh3lh3 | 2010-08-23 10:48:20 -0400 (Mon, 23 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h

 * use the revised MAQ error model for mpileup
 * prepare to remove the independent model from mpileup

------------------------------------------------------------------------
r690 | lh3lh3 | 2010-08-20 15:46:40 -0400 (Fri, 20 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   A /trunk/samtools/errmod.c
   A /trunk/samtools/errmod.h
   M /trunk/samtools/ksort.h

added revised MAQ error model

------------------------------------------------------------------------
r689 | lh3lh3 | 2010-08-18 09:55:20 -0400 (Wed, 18 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h
   M /trunk/samtools/bcftools/vcfout.c

allow to read the prior from the error output. EM iteration is working.

------------------------------------------------------------------------
r688 | lh3lh3 | 2010-08-17 12:12:20 -0400 (Tue, 17 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/main.c
   M /trunk/samtools/bcftools/vcf.c

 * write a little more VCF header
 * concatenate BCFs

------------------------------------------------------------------------
r687 | lh3lh3 | 2010-08-16 20:53:16 -0400 (Mon, 16 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcf.tex

use float for QUAL

------------------------------------------------------------------------
r686 | lh3lh3 | 2010-08-14 00:11:13 -0400 (Sat, 14 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/prob1.c

faster for large sample size (in principle)

------------------------------------------------------------------------
r685 | lh3lh3 | 2010-08-13 23:28:31 -0400 (Fri, 13 Aug 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bcftools/prob1.c

 * a numerically stable method to calculate z_{jk}
 * currently slower than the old method but will be important for large sample size
 * in principle, we can speed up for large n, but have not tried

------------------------------------------------------------------------
r684 | lh3lh3 | 2010-08-11 21:58:31 -0400 (Wed, 11 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfout.c

fixed an issue in parsing integer

------------------------------------------------------------------------
r683 | lh3lh3 | 2010-08-09 13:05:07 -0400 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c

do not print refname if file is converted from VCF

------------------------------------------------------------------------
r682 | lh3lh3 | 2010-08-09 12:59:47 -0400 (Mon, 09 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/vcf.c

 * parse PL
 * fixed a bug in parsing VCF

------------------------------------------------------------------------
r681 | lh3lh3 | 2010-08-09 12:49:23 -0400 (Mon, 09 Aug 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/main.c
   M /trunk/samtools/bcftools/vcf.c
   M /trunk/samtools/bcftools/vcfout.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/kstring.c

 * fixed a bug in kstrtok@kstring.c
 * preliminary VCF parser (not parse everything for now)
 * improved view interface

------------------------------------------------------------------------
r680 | lh3lh3 | 2010-08-09 10:43:13 -0400 (Mon, 09 Aug 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/vcfout.c
   M /trunk/samtools/kstring.c
   M /trunk/samtools/kstring.h

 * improved kstring (added kstrtok)
 * removed the limit on the format string length in bcftools
 * use kstrtok to parse format which fixed a bug in the old code

------------------------------------------------------------------------
r679 | lh3lh3 | 2010-08-09 01:12:05 -0400 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   A /trunk/samtools/bcftools/README
   M /trunk/samtools/bcftools/vcfout.c

help messages

------------------------------------------------------------------------
r678 | lh3lh3 | 2010-08-09 00:01:52 -0400 (Mon, 09 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcfout.c

perform single-tail test for ED4

------------------------------------------------------------------------
r677 | lh3lh3 | 2010-08-08 23:48:35 -0400 (Sun, 08 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/kfunc.c
   M /trunk/samtools/bcftools/vcfout.c

 * test depth, end distance and HWE

------------------------------------------------------------------------
r676 | lh3lh3 | 2010-08-08 02:04:15 -0400 (Sun, 08 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/kfunc.c

reimplement incomplete gamma functions. no copy-paste

------------------------------------------------------------------------
r675 | lh3lh3 | 2010-08-06 22:42:54 -0400 (Fri, 06 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bcftools/fet.c
   M /trunk/samtools/bcftools/prob1.c
   M /trunk/samtools/bcftools/prob1.h
   M /trunk/samtools/bcftools/vcfout.c

 * bcftools: add HWE (no testing for now)
 * record end dist in a 2x2 table, not avg, std any more

------------------------------------------------------------------------
r674 | lh3lh3 | 2010-08-06 17:30:16 -0400 (Fri, 06 Aug 2010) | 3 lines
Changed paths:
   A /trunk/samtools/bcftools/kfunc.c

 * Special functions: log(gamma()), erfc(), P(a,x) (incomplete gamma)
 * Not using Numerical Recipe due to licensing issues

------------------------------------------------------------------------
r673 | lh3lh3 | 2010-08-05 23:46:53 -0400 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   A /trunk/samtools/bcftools/fet.c

Fisher's exact test

------------------------------------------------------------------------
r672 | lh3lh3 | 2010-08-05 21:48:33 -0400 (Thu, 05 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/examples/Makefile

 * samtools-0.1.8-11 (r672)
 * collect more stats for allele balance test in bcftools (not yet)

------------------------------------------------------------------------
r671 | lh3lh3 | 2010-08-05 16:17:58 -0400 (Thu, 05 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/main.c

 * the code base is stablized again.
 * I will delay the vcf parser, which is quite complicated but with little value for now

------------------------------------------------------------------------
r670 | lh3lh3 | 2010-08-05 16:03:23 -0400 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/examples/Makefile

minor

------------------------------------------------------------------------
r669 | lh3lh3 | 2010-08-05 16:03:08 -0400 (Thu, 05 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcftools/vcf.c

unfinished vcf parser

------------------------------------------------------------------------
r668 | lh3lh3 | 2010-08-05 15:46:40 -0400 (Thu, 05 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bcftools/Makefile
   M /trunk/samtools/bcftools/bcf.c
   M /trunk/samtools/bcftools/bcf.h
   M /trunk/samtools/bcftools/bcfutils.c
   M /trunk/samtools/bcftools/index.c
   M /trunk/samtools/bcftools/main.c
   A /trunk/samtools/bcftools/vcf.c
   M /trunk/samtools/bcftools/vcfout.c

 * added prelimiary VCF parser (not finished)
 * change struct a bit

------------------------------------------------------------------------
r667 | lh3lh3 | 2010-08-03 22:35:27 -0400 (Tue, 03 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bcftools/bcf.c

 * allow to set min base q
 * fixed a bug in mpileup -u

------------------------------------------------------------------------
r666 | lh3lh3 | 2010-08-03 22:08:44 -0400 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   A /trunk/samtools/bcftools/bcf.tex

spec

------------------------------------------------------------------------
r665 | lh3lh3 | 2010-08-03 21:18:57 -0400 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/examples/Makefile

added more examples

------------------------------------------------------------------------
r664 | lh3lh3 | 2010-08-03 21:13:00 -0400 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bcftools/Makefile

fixed compilation error

------------------------------------------------------------------------
r662 | lh3lh3 | 2010-08-03 21:04:00 -0400 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   D /trunk/samtools/bcf.c
   D /trunk/samtools/bcf.h
   A /trunk/samtools/bcftools
   A /trunk/samtools/bcftools/Makefile
   A /trunk/samtools/bcftools/bcf.c
   A /trunk/samtools/bcftools/bcf.h
   A /trunk/samtools/bcftools/bcfutils.c
   A /trunk/samtools/bcftools/index.c
   A /trunk/samtools/bcftools/main.c
   A /trunk/samtools/bcftools/prob1.c
   A /trunk/samtools/bcftools/prob1.h
   A /trunk/samtools/bcftools/vcfout.c

move bcftools to samtools

------------------------------------------------------------------------
r660 | lh3lh3 | 2010-08-03 15:58:32 -0400 (Tue, 03 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c

fixed another minor bug

------------------------------------------------------------------------
r658 | lh3lh3 | 2010-08-03 15:06:45 -0400 (Tue, 03 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bcf.c

 * samtools-0.1.8-10 (r658)
 * fixed a bug in bam2bcf when the reference is N

------------------------------------------------------------------------
r657 | lh3lh3 | 2010-08-03 14:50:23 -0400 (Tue, 03 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h

 * fixed a bug
 * treat ambiguous ref base as the fifth base

------------------------------------------------------------------------
r654 | lh3lh3 | 2010-08-02 17:38:27 -0400 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/bcftools/bcf.c
   M /trunk/samtools/bcf.c

missing a column in VCF output...

------------------------------------------------------------------------
r653 | lh3lh3 | 2010-08-02 17:31:33 -0400 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcf.c

fixed a memory leak

------------------------------------------------------------------------
r651 | lh3lh3 | 2010-08-02 17:27:31 -0400 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bcf.c

fixed a bug in bcf reader

------------------------------------------------------------------------
r650 | lh3lh3 | 2010-08-02 17:00:41 -0400 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam2bcf.c

fixed a bug

------------------------------------------------------------------------
r649 | lh3lh3 | 2010-08-02 16:49:35 -0400 (Mon, 02 Aug 2010) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam2bcf.c
   M /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-9 (r649)
 * lossless representation of PL in BCF output

------------------------------------------------------------------------
r648 | lh3lh3 | 2010-08-02 16:07:25 -0400 (Mon, 02 Aug 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   A /trunk/samtools/bam2bcf.c
   A /trunk/samtools/bam2bcf.h
   M /trunk/samtools/bam_plcmd.c
   A /trunk/samtools/bcf.c
   A /trunk/samtools/bcf.h

Generate binary VCF

------------------------------------------------------------------------
r644 | lh3lh3 | 2010-07-28 11:59:19 -0400 (Wed, 28 Jul 2010) | 5 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-8 (r644)
 * mpileup becomes a little stable again
 * the method is slightly different, but is more theoretically correct
 * snp calling is O(n^2) instead of O(n^3)

------------------------------------------------------------------------
r643 | lh3lh3 | 2010-07-28 11:54:15 -0400 (Wed, 28 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c

 * fixed a STUPID bug, which cost me a lot of time.
 * I am going to clean up mcns a little bit

------------------------------------------------------------------------
r642 | lh3lh3 | 2010-07-27 23:23:07 -0400 (Tue, 27 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c

supposedly this is THE correct implementation, but more testing is needed

------------------------------------------------------------------------
r641 | lh3lh3 | 2010-07-27 22:43:39 -0400 (Tue, 27 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c

NOT ready yet. Going to make further changes...

------------------------------------------------------------------------
r639 | lh3lh3 | 2010-07-25 22:18:38 -0400 (Sun, 25 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-7 (r639)
 * fixed the reference allele assignment

------------------------------------------------------------------------
r638 | lh3lh3 | 2010-07-25 12:01:26 -0400 (Sun, 25 Jul 2010) | 5 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-6 (r638)
 * skip isnan/isinf in case of float underflow
 * added the flat prior
 * fixed an issue where there are no reads supporting the reference

------------------------------------------------------------------------
r637 | lh3lh3 | 2010-07-24 14:16:27 -0400 (Sat, 24 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

minor changes

------------------------------------------------------------------------
r636 | lh3lh3 | 2010-07-24 14:07:27 -0400 (Sat, 24 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

minor tweaks

------------------------------------------------------------------------
r635 | lh3lh3 | 2010-07-24 01:49:49 -0400 (Sat, 24 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c

posterior expectation FINALLY working. I am so tired...

------------------------------------------------------------------------
r633 | lh3lh3 | 2010-07-23 13:50:48 -0400 (Fri, 23 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

another minor fix to mpileup

------------------------------------------------------------------------
r632 | lh3lh3 | 2010-07-23 13:43:31 -0400 (Fri, 23 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

added the format column

------------------------------------------------------------------------
r631 | lh3lh3 | 2010-07-23 13:25:44 -0400 (Fri, 23 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

added an alternative prior

------------------------------------------------------------------------
r628 | lh3lh3 | 2010-07-23 11:48:51 -0400 (Fri, 23 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c

calculate posterior allele frequency

------------------------------------------------------------------------
r627 | lh3lh3 | 2010-07-22 21:39:13 -0400 (Thu, 22 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-3 (r627)
 * multi-sample snp calling appears to work. More tests needed.

------------------------------------------------------------------------
r626 | lh3lh3 | 2010-07-22 16:37:56 -0400 (Thu, 22 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_tview.c

 * preliminary multisample SNP caller.
 * something looks not so right, but it largely works

------------------------------------------------------------------------
r617 | lh3lh3 | 2010-07-14 16:26:27 -0400 (Wed, 14 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.8-2 (r617)
 * allele frequency calculation apparently works...

------------------------------------------------------------------------
r616 | lh3lh3 | 2010-07-14 13:33:51 -0400 (Wed, 14 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   A /trunk/samtools/bam_mcns.c
   A /trunk/samtools/bam_mcns.h
   M /trunk/samtools/bam_plcmd.c

 * added mutli-sample framework. It is not working, yet.
 * improved the mpileup interface

------------------------------------------------------------------------
r615 | lh3lh3 | 2010-07-13 14:50:12 -0400 (Tue, 13 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/Makefile

 * samtools-0.1.8-1 (r615)
 * allow to get mpileup at required sites

------------------------------------------------------------------------
r613 | lh3lh3 | 2010-07-11 22:40:56 -0400 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

Release samtools-0.1.8

------------------------------------------------------------------------
r612 | lh3lh3 | 2010-07-11 21:08:56 -0400 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/knetfile.c

fixed a compiling issue for Windows

------------------------------------------------------------------------
r611 | lh3lh3 | 2010-07-11 20:59:15 -0400 (Sun, 11 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_sort.c

fixed a bug in sorting when output to stdout (by Peter Chines)

------------------------------------------------------------------------
r610 | lh3lh3 | 2010-07-09 17:05:10 -0400 (Fri, 09 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/NEWS
   M /trunk/samtools/bam_plcmd.c

change the command line option of pileup

------------------------------------------------------------------------
r609 | lh3lh3 | 2010-07-09 00:39:34 -0400 (Fri, 09 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_pileup.c
   A /trunk/samtools/examples/toy.fa
   A /trunk/samtools/examples/toy.sam

make pileup work with CIGAR with I/D at the beginning or in the end

------------------------------------------------------------------------
r608 | lh3lh3 | 2010-07-08 22:36:12 -0400 (Thu, 08 Jul 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_tview.c

 * make tview more friendly
 * a temporary remedy for an issue in indel calling

------------------------------------------------------------------------
r607 | lh3lh3 | 2010-07-08 14:43:52 -0400 (Thu, 08 Jul 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-r607
 * improved the genotype accuracy for indels
 * use the SOAPsnp model for SNP calling by default.

------------------------------------------------------------------------
r606 | lh3lh3 | 2010-07-08 01:05:19 -0400 (Thu, 08 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/misc/Makefile

removed a debugging example

------------------------------------------------------------------------
r605 | lh3lh3 | 2010-07-08 01:04:09 -0400 (Thu, 08 Jul 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c

 * samtools-.1.7-18 (r605)
 * fixed an issue when a deletion and mismatch occur at the same time
   and the base quality is higher than 40 (if -I40).

------------------------------------------------------------------------
r604 | lh3lh3 | 2010-07-02 19:32:24 -0400 (Fri, 02 Jul 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/misc/Makefile

fixed a minor bug in idxstats

------------------------------------------------------------------------
r601 | lh3lh3 | 2010-06-16 09:03:59 -0400 (Wed, 16 Jun 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_index.c

fixed a minor bug in indexing

------------------------------------------------------------------------
r600 | lh3lh3 | 2010-06-15 10:17:53 -0400 (Tue, 15 Jun 2010) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam.c

change printf() to puts in exporting

------------------------------------------------------------------------
r599 | lh3lh3 | 2010-06-13 21:41:11 -0400 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c

minor fix. No actual effect.

------------------------------------------------------------------------
r598 | lh3lh3 | 2010-06-13 21:32:45 -0400 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile

added Makefile targets to compile shared/dynamic library

------------------------------------------------------------------------
r596 | lh3lh3 | 2010-06-13 19:48:07 -0400 (Sun, 13 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-17 (r596)
 * also keep the number of coor-less reads in the index file

------------------------------------------------------------------------
r595 | lh3lh3 | 2010-06-13 18:54:26 -0400 (Sun, 13 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-16 (r595)
 * write additional information to bam index

------------------------------------------------------------------------
r594 | lh3lh3 | 2010-06-13 17:29:52 -0400 (Sun, 13 Jun 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_index.c

fixed a bug for unmapped sequences in indexing

------------------------------------------------------------------------
r593 | lh3lh3 | 2010-06-12 18:11:32 -0400 (Sat, 12 Jun 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/samtools.1

rename iterf as iter

------------------------------------------------------------------------
r592 | lh3lh3 | 2010-06-12 18:02:38 -0400 (Sat, 12 Jun 2010) | 4 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-15 (r592)
 * fixed a few minor memory leaks in the new pileup code
 * improved the functionality of mpileup

------------------------------------------------------------------------
r591 | lh3lh3 | 2010-06-12 14:09:22 -0400 (Sat, 12 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-14 (r591)
 * elementary multi-way pileup. More testing and more functionality to be done.

------------------------------------------------------------------------
r590 | lh3lh3 | 2010-06-12 01:00:24 -0400 (Sat, 12 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-13 (r590)
 * added mpileup APIs. No compiling errors, but not tested at all. It is late.

------------------------------------------------------------------------
r589 | lh3lh3 | 2010-06-11 22:37:09 -0400 (Fri, 11 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-12 (r589)
 * added iterator-like APIs for pileup

------------------------------------------------------------------------
r588 | lh3lh3 | 2010-06-11 17:41:13 -0400 (Fri, 11 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-11 (r588)
 * ported a few improvements from tabix back to samtools

------------------------------------------------------------------------
r587 | lh3lh3 | 2010-06-11 17:33:16 -0400 (Fri, 11 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-10 (r587)
 * added iterator interface for bam_fetch (ported back from tabix)

------------------------------------------------------------------------
r586 | lh3lh3 | 2010-06-11 13:23:53 -0400 (Fri, 11 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   A /trunk/samtools/bam_reheader.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c

 * samtools-0.1.7-9 (r586)
 * added "reheader" to replace the BAM header

------------------------------------------------------------------------
r585 | lh3lh3 | 2010-06-11 12:22:06 -0400 (Fri, 11 Jun 2010) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kstring.h

 * samtools-0.1.7-8 (r585)
 * speed up "view"

------------------------------------------------------------------------
r584 | lh3lh3 | 2010-06-11 12:00:41 -0400 (Fri, 11 Jun 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/kstring.h
   M /trunk/samtools/misc/wgsim_eval.pl

 * samtools-0.1.7-7 (r584)
 * ported tabix BGZF to samtools
 * flush BGZF after writing the BAM header and between alignment boundaries

------------------------------------------------------------------------
r583 | petulda | 2010-06-11 11:58:20 -0400 (Fri, 11 Jun 2010) | 1 line
Changed paths:
   A /trunk/samtools/misc/varfilter.py

Initial release on behalf of Aylwyn Scally
------------------------------------------------------------------------
r561 | petulda | 2010-05-07 08:41:56 -0400 (Fri, 07 May 2010) | 1 line
Changed paths:
   M /trunk/samtools/samtools.1

Added a note about the indels coordinates
------------------------------------------------------------------------
r551 | petulda | 2010-04-23 09:42:13 -0400 (Fri, 23 Apr 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Added the possibility to print or not to print the reference allele
------------------------------------------------------------------------
r546 | petulda | 2010-04-15 04:33:55 -0400 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/samtools/sam_header.c

More descriptive message for space separated tags
------------------------------------------------------------------------
r545 | petulda | 2010-04-14 11:44:50 -0400 (Wed, 14 Apr 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Speedup with -i, no need to query the reference all the time
------------------------------------------------------------------------
r541 | petulda | 2010-03-15 10:03:51 -0400 (Mon, 15 Mar 2010) | 1 line
Changed paths:
   M /trunk/samtools/sam_header.c

Fixed the order of sequences in the header
------------------------------------------------------------------------
r540 | petulda | 2010-03-04 06:28:35 -0500 (Thu, 04 Mar 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Added possibility to select indels only and fixed a bug in reporting homozygous indels.
------------------------------------------------------------------------
r539 | jmarshall | 2010-02-27 06:48:17 -0500 (Sat, 27 Feb 2010) | 4 lines
Changed paths:
   M /trunk/samtools/bam.c

Improve the invalid 'BAM\1' magic number error message, and also print it
when no bytes can be read from the alleged BAM file, e.g., in the common
user error case when a SAM file has accidentally been supplied.

------------------------------------------------------------------------
r538 | petulda | 2010-02-26 10:51:40 -0500 (Fri, 26 Feb 2010) | 1 line
Changed paths:
   M /trunk/samtools/AUTHORS
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/sam_header.c

Improved efficiency of header parsing
------------------------------------------------------------------------
r537 | lh3lh3 | 2010-02-23 21:08:48 -0500 (Tue, 23 Feb 2010) | 3 lines
Changed paths:
   M /trunk/samtools/misc/export2sam.pl

Updated export2sam.pl by Chris Saunders from Illumina.


------------------------------------------------------------------------
r536 | petulda | 2010-02-17 08:32:53 -0500 (Wed, 17 Feb 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/samtools.pl

Fixed filtering of SNPs near indels. Added min indel and SNP quality filter.
------------------------------------------------------------------------
r535 | petulda | 2010-02-12 04:52:37 -0500 (Fri, 12 Feb 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Print an error for pileups in simple format
------------------------------------------------------------------------
r534 | lh3lh3 | 2010-02-11 14:01:41 -0500 (Thu, 11 Feb 2010) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c

added a hidden option in pileup to output the base position (for Erin)

------------------------------------------------------------------------
r533 | petulda | 2010-02-09 10:12:14 -0500 (Tue, 09 Feb 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Added possibility to specify a custom column title for the data column
------------------------------------------------------------------------
r532 | petulda | 2010-02-09 09:46:09 -0500 (Tue, 09 Feb 2010) | 1 line
Changed paths:
   M /trunk/samtools/bam_plcmd.c

Added the -d option to limit maximum depth for indels.
------------------------------------------------------------------------
r531 | petulda | 2010-02-03 07:57:27 -0500 (Wed, 03 Feb 2010) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Added VCF header
------------------------------------------------------------------------
r530 | lh3lh3 | 2010-02-01 09:13:19 -0500 (Mon, 01 Feb 2010) | 3 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl
   M /trunk/samtools/misc/wgsim.c

 * samtools-0.1.7-6
 * fixed a bug in faidx

------------------------------------------------------------------------
r529 | jmarshall | 2010-01-11 18:51:49 -0500 (Mon, 11 Jan 2010) | 2 lines
Changed paths:
   M /trunk/samtools/faidx.c

Put the right filename in the error message.

------------------------------------------------------------------------
r528 | lh3lh3 | 2009-12-14 11:26:47 -0500 (Mon, 14 Dec 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-5 (r528)
 * further add new consensus generation strategy

------------------------------------------------------------------------
r527 | petulda | 2009-12-11 12:31:05 -0500 (Fri, 11 Dec 2009) | 1 line
Changed paths:
   M /trunk/samtools/knetfile.c

Fixed a bug in knet_seek
------------------------------------------------------------------------
r526 | petulda | 2009-12-11 07:51:18 -0500 (Fri, 11 Dec 2009) | 1 line
Changed paths:
   M /trunk/samtools/misc/sam2vcf.pl

Small fix in VCF format: dot for the empty INFO field
------------------------------------------------------------------------
r525 | petulda | 2009-12-11 04:36:18 -0500 (Fri, 11 Dec 2009) | 1 line
Changed paths:
   M /trunk/samtools/sam_header.c

Allow tabs in the CO header field
------------------------------------------------------------------------
r524 | jmarshall | 2009-12-10 10:03:58 -0500 (Thu, 10 Dec 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/Makefile.mingw

Depend on libbam.a rather than the phony target, so that samtools is not
unnecessarily rebuilt every time.  Also clean bgzip.

------------------------------------------------------------------------
r523 | jmarshall | 2009-12-10 09:45:32 -0500 (Thu, 10 Dec 2009) | 4 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/Makefile.mingw

Fix a bug in compiling bgzip: this also needs knetfile.o when _USE_KNETFILE
is defined.  Also introduce $(KNETFILE_O) which can be set to empty to
facilitate non-knet builds.

------------------------------------------------------------------------
r522 | lh3lh3 | 2009-12-01 13:02:36 -0500 (Tue, 01 Dec 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.7-4 (r522)
 * fixed a bug in "view -r"
 * added a new option "view -R" to read required read groups from a file

------------------------------------------------------------------------
r521 | lh3lh3 | 2009-12-01 10:00:12 -0500 (Tue, 01 Dec 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.7-3 (r521)
 * calmd: optionally mask matching bases as N

------------------------------------------------------------------------
r520 | lh3lh3 | 2009-12-01 09:37:17 -0500 (Tue, 01 Dec 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl

 * samtools-0.1.7-2 (r520)
 * fixed a few issues with compilation in Windows (on behalf of John)
 * choose a random base as the consensus (for population genetics studies)

------------------------------------------------------------------------
r519 | jmarshall | 2009-11-30 10:53:02 -0500 (Mon, 30 Nov 2009) | 6 lines
Changed paths:
   M /trunk/samtools/Makefile

Put libraries at the end, so they can resolve references from libbam.a
as well, even with old-fashioned linkers.

Also use libbam.a explicitly rather than "-L. -lbam" to ensure that we get
the freshly built library, not some other libbam.a lying around the system.

------------------------------------------------------------------------
r518 | jmarshall | 2009-11-30 08:44:56 -0500 (Mon, 30 Nov 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/misc/Makefile

Also clean *.exe (for Cygwin users using this makefile).

------------------------------------------------------------------------
r517 | jmarshall | 2009-11-30 07:09:04 -0500 (Mon, 30 Nov 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_index.c

Index files should be opened in binary mode, not text mode.

------------------------------------------------------------------------
r516 | lh3lh3 | 2009-11-27 15:18:59 -0500 (Fri, 27 Nov 2009) | 2 lines
Changed paths:
   A /trunk/samtools/examples/bam2bed.c

another example program

------------------------------------------------------------------------
r515 | lh3lh3 | 2009-11-27 10:44:56 -0500 (Fri, 27 Nov 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/wgsim_eval.pl
   M /trunk/samtools/sam.c

 * samtools-0.1.7-1 (r515)
 * report an error when .fai contains duplicated names, instead of segfault

------------------------------------------------------------------------
r514 | jmarshall | 2009-11-24 09:45:35 -0500 (Tue, 24 Nov 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam.c

Format 'c'-encoded auxiliary fields correctly, as *signed* integers.

------------------------------------------------------------------------
r513 | lh3lh3 | 2009-11-16 10:13:07 -0500 (Mon, 16 Nov 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.mingw

Update Makefile.mingw for the same reason

------------------------------------------------------------------------
r512 | lh3lh3 | 2009-11-16 10:00:08 -0500 (Mon, 16 Nov 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile

Fixed a bug in compiling razip

------------------------------------------------------------------------
r510 | lh3lh3 | 2009-11-10 10:55:41 -0500 (Tue, 10 Nov 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

Release samtools-0.1.7 (r510)

------------------------------------------------------------------------
r509 | lh3lh3 | 2009-11-06 09:17:09 -0500 (Fri, 06 Nov 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-22 (r509)
 * forget to fix a similar problem in glfgen

------------------------------------------------------------------------
r508 | lh3lh3 | 2009-11-06 09:06:40 -0500 (Fri, 06 Nov 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.6-21 (r508)
 * fixed a potential bug in the indel caller towards the end of a chromosome

------------------------------------------------------------------------
r494 | lh3lh3 | 2009-10-26 11:38:00 -0400 (Mon, 26 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.6-19 (r494)
 * allow to convert Illumina quality (64 based) to the BAM quality

------------------------------------------------------------------------
r493 | lh3lh3 | 2009-10-26 10:24:39 -0400 (Mon, 26 Oct 2009) | 4 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_header.c

 * samtools-0.1.6-18 (r493)
 * fixed the bugs due to improperly incorporating Petr's header parser
 * a little code clean up in sam_header.c

------------------------------------------------------------------------
r492 | petulda | 2009-10-24 09:43:25 -0400 (Sat, 24 Oct 2009) | 1 line
Changed paths:
   M /trunk/samtools/sam_header.c

Added sam_header_line_free call for sam_header_parse2
------------------------------------------------------------------------
r491 | lh3lh3 | 2009-10-24 00:50:16 -0400 (Sat, 24 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/sam_view.c

 * BUGGY VERSION
 * fixed a minor bug

------------------------------------------------------------------------
r490 | lh3lh3 | 2009-10-24 00:45:12 -0400 (Sat, 24 Oct 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/sam.c

 * BUGGY VERSION
 * improved the interface a bit
 * bug unfixed

------------------------------------------------------------------------
r489 | lh3lh3 | 2009-10-24 00:41:50 -0400 (Sat, 24 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/sam_header.c
   M /trunk/samtools/sam_header.h

 * BUGGY VERSION. Please NOT use it.
 * Fixed a minor bug, but the major bug is still there.

------------------------------------------------------------------------
r488 | lh3lh3 | 2009-10-24 00:17:10 -0400 (Sat, 24 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/kaln.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_header.c
   M /trunk/samtools/sam_header.h
   M /trunk/samtools/sam_view.c

 * This revision is SERIOUSLY BUGGY. Please NOT use it.
 * Start to incorporate header parsing from Petr Danecek

------------------------------------------------------------------------
r487 | petulda | 2009-10-23 11:44:32 -0400 (Fri, 23 Oct 2009) | 1 line
Changed paths:
   M /trunk/samtools/sam_header.c
   M /trunk/samtools/sam_header.h

Now possible to merge multiple HeaderDict dictionaries
------------------------------------------------------------------------
r486 | petulda | 2009-10-22 11:46:58 -0400 (Thu, 22 Oct 2009) | 1 line
Changed paths:
   M /trunk/samtools/sam_header.c


------------------------------------------------------------------------
r485 | petulda | 2009-10-22 11:41:56 -0400 (Thu, 22 Oct 2009) | 1 line
Changed paths:
   A /trunk/samtools/sam_header.c
   A /trunk/samtools/sam_header.h


------------------------------------------------------------------------
r484 | lh3lh3 | 2009-10-19 14:31:32 -0400 (Mon, 19 Oct 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/examples/Makefile

 * samtools-0.1.6-17 (r484)
 * fixed a memory leak in rmdupse
 * fixed a bug in parsing @RG header lines
 * test rmdup in examples/

------------------------------------------------------------------------
r483 | lh3lh3 | 2009-10-19 13:22:48 -0400 (Mon, 19 Oct 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-16 (r483)
 * unify the interface of rmdup and rmdupse
 * a new bug found in rg2lib(). Have not been fixed yet.

------------------------------------------------------------------------
r482 | lh3lh3 | 2009-10-19 13:03:34 -0400 (Mon, 19 Oct 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/klist.h

 * samtools-0.1.6-15 (r482)
 * rewrite rmdupse
 * rmdupse is now library aware

------------------------------------------------------------------------
r481 | lh3lh3 | 2009-10-18 00:07:21 -0400 (Sun, 18 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-14 (r480)
 * rmdup is now RG aware

------------------------------------------------------------------------
r480 | lh3lh3 | 2009-10-17 22:05:20 -0400 (Sat, 17 Oct 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

added a small unitity to parse SRA XML files

------------------------------------------------------------------------
r479 | lh3lh3 | 2009-10-17 20:57:26 -0400 (Sat, 17 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-13 (r479)
 * merge: optionally use file names as RG tags

------------------------------------------------------------------------
r478 | lh3lh3 | 2009-10-14 14:18:12 -0400 (Wed, 14 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kaln.c

 * samtools-0.1.6-12 (r478)
 * fixed a bug in the indel caller

------------------------------------------------------------------------
r477 | lh3lh3 | 2009-10-10 06:12:26 -0400 (Sat, 10 Oct 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-11 (r477)
 * fixed a bug due to recent change in bam_index.c (thank Nicole Washington for the patch)

------------------------------------------------------------------------
r476 | petulda | 2009-10-09 11:45:36 -0400 (Fri, 09 Oct 2009) | 1 line
Changed paths:
   A /trunk/samtools/misc/sam2vcf.pl

Added the sam2vcf.pl script.
------------------------------------------------------------------------
r475 | lh3lh3 | 2009-10-08 10:19:16 -0400 (Thu, 08 Oct 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/kaln.c
   A /trunk/samtools/kaln.h

Unfinished modification. Please do not use this revision...

------------------------------------------------------------------------
r474 | petulda | 2009-10-08 06:39:54 -0400 (Thu, 08 Oct 2009) | 1 line
Changed paths:
   M /trunk/samtools/knetfile.c

Removed the offending knet_seek message.
------------------------------------------------------------------------
r473 | petulda | 2009-10-06 09:26:35 -0400 (Tue, 06 Oct 2009) | 1 line
Changed paths:
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/razf.c

Bug fix - faidx on RAZF compressed files now working.
------------------------------------------------------------------------
r472 | lh3lh3 | 2009-10-02 08:42:57 -0400 (Fri, 02 Oct 2009) | 2 lines
Changed paths:
   M /trunk/samtools/samtools.1

Clarify the meaning of a region like "chr2:1,000,000".

------------------------------------------------------------------------
r471 | lh3lh3 | 2009-10-02 05:42:19 -0400 (Fri, 02 Oct 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/novo2sam.pl

Fixed minor bugs in novo2sam.pl (on behalf of Ken Chen and Colin Hercus)

------------------------------------------------------------------------
r470 | lh3lh3 | 2009-09-29 15:01:27 -0400 (Tue, 29 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile.mingw
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.6-9 (r470)
 * make knetfile.c compatible with MinGW (thank Martin Morgan for the patch)

------------------------------------------------------------------------
r469 | lh3lh3 | 2009-09-29 08:07:44 -0400 (Tue, 29 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-9 (r469)
 * refactor bam_fetch() for Python binding. On behalf of Leo Goodstadt.

------------------------------------------------------------------------
r468 | lh3lh3 | 2009-09-28 05:18:29 -0400 (Mon, 28 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl

 * samtools-0.1.6-7 (r468)
 * make merge stable

------------------------------------------------------------------------
r467 | petulda | 2009-09-28 04:51:29 -0400 (Mon, 28 Sep 2009) | 1 line
Changed paths:
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzip.c
   M /trunk/samtools/razf.c
   M /trunk/samtools/razip.c

Changed the mode for newly created files to 0666. This allows less strict permissions with umask properly set (e.g. 0002 vs. 0022).
------------------------------------------------------------------------
r466 | lh3lh3 | 2009-09-24 06:29:19 -0400 (Thu, 24 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-6 (r466)
 * do not crash calmd when some sequences are absent from the reference.

------------------------------------------------------------------------
r464 | jmarshall | 2009-09-23 06:14:32 -0400 (Wed, 23 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/knetfile.c

Suppress bgzf_check_EOF() messages when reading from a pipe, as there is
no way to seek on a pipe and the messages always appear.

------------------------------------------------------------------------
r463 | petulda | 2009-09-16 07:05:41 -0400 (Wed, 16 Sep 2009) | 1 line
Changed paths:
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/razf.c

A bug fix, "samtools view" is now working again.
------------------------------------------------------------------------
r462 | lh3lh3 | 2009-09-16 04:51:07 -0400 (Wed, 16 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/faidx.c
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h
   M /trunk/samtools/razf.c
   M /trunk/samtools/razf.h

 * samtools-0.1.6-5 (r462)
 * Added knetfile support in razf and faidx (on behalf of Petr Danecek)

------------------------------------------------------------------------
r460 | lh3lh3 | 2009-09-09 07:06:22 -0400 (Wed, 09 Sep 2009) | 2 lines
Changed paths:
   M /trunk/samtools/samtools.1

fixed a formatting issue

------------------------------------------------------------------------
r459 | lh3lh3 | 2009-09-08 18:14:08 -0400 (Tue, 08 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-4 (r459)
 * make sort output the result to stdout when -o is in use

------------------------------------------------------------------------
r458 | lh3lh3 | 2009-09-07 05:10:28 -0400 (Mon, 07 Sep 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/faidx.c
   M /trunk/samtools/faidx.h
   M /trunk/samtools/samtools.1

 * samtools-0.1.6-2 (r458)
 * added more interface to faidx (by Nils)
 * updated documentation

------------------------------------------------------------------------
r457 | lh3lh3 | 2009-09-05 16:12:04 -0400 (Sat, 05 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.6-2 (r457)
 * get rid of three assert() in bam_sort.c

------------------------------------------------------------------------
r456 | jmarshall | 2009-09-04 12:46:25 -0400 (Fri, 04 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/razf.c

Return NULL from _razf_open() (and hence razf_open()/razf_open2())
when opening the file fails.

------------------------------------------------------------------------
r453 | lh3lh3 | 2009-09-02 08:56:33 -0400 (Wed, 02 Sep 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1
   D /trunk/samtools/source.dot

Release samtools-0.1.6

------------------------------------------------------------------------
r451 | lh3lh3 | 2009-09-02 05:44:48 -0400 (Wed, 02 Sep 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.5-34 (r451)
 * applied the patch by John
 * improved the help message a little bit

------------------------------------------------------------------------
r450 | lh3lh3 | 2009-09-02 04:55:55 -0400 (Wed, 02 Sep 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_color.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-33 (r450)
 * fixed a bug in bam_color.c (on behalf of Nils Homer)

------------------------------------------------------------------------
r449 | lh3lh3 | 2009-08-29 15:36:41 -0400 (Sat, 29 Aug 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl

 * samtools-0.1.5-32 (r449)
 * fillmd: fixed a bug in modifying MD/NM tags
 * in import, give a warning if the read is aligned but there is no CIGAR.

------------------------------------------------------------------------
r448 | lh3lh3 | 2009-08-19 04:44:28 -0400 (Wed, 19 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/wgsim_eval.pl

 * samtools-0.1.5-31 (r448)
 * fixed an issue when the last CIGAR is I or D

------------------------------------------------------------------------
r447 | lh3lh3 | 2009-08-17 04:34:57 -0400 (Mon, 17 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-30 (r447)
 * fixed a bug in bam_aux_get(): 'A' is not checked

------------------------------------------------------------------------
r446 | lh3lh3 | 2009-08-17 04:33:17 -0400 (Mon, 17 Aug 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bamtk.c

 * 

------------------------------------------------------------------------
r444 | lh3lh3 | 2009-08-11 05:02:36 -0400 (Tue, 11 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-28 (r444)
 * bug in "merge -n"

------------------------------------------------------------------------
r443 | lh3lh3 | 2009-08-11 04:29:11 -0400 (Tue, 11 Aug 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-27 (r443)
 * SEQ and QUAL can be "*"
 * parse CIGAR "=" and "X" as "M"

------------------------------------------------------------------------
r442 | lh3lh3 | 2009-08-07 16:56:38 -0400 (Fri, 07 Aug 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/md5.c
   M /trunk/samtools/misc/md5.h
   M /trunk/samtools/misc/md5fa.c

 * samtools-0.1.5-26 (r442)
 * replace RSA Inc md5.* with ones under permissive lincense
 * fixed a bug in detecting unsorted bam in pileup

------------------------------------------------------------------------
r441 | bhandsaker | 2009-08-05 09:41:28 -0400 (Wed, 05 Aug 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/bgzip.c

Change copyright notices now that MIT has approved open source distribution.

------------------------------------------------------------------------
r440 | lh3lh3 | 2009-08-05 05:44:24 -0400 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_stat.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-25 (r436)
 * in flagstats, do not report singletons if both ends are unmapped

------------------------------------------------------------------------
r439 | lh3lh3 | 2009-08-04 17:16:51 -0400 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/maq2sam.c

fixed a SERIOUS bug in setting 0x20 flag

------------------------------------------------------------------------
r438 | lh3lh3 | 2009-08-04 16:50:43 -0400 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

fixed two minor bugs (suggested by Tim M Storm)

------------------------------------------------------------------------
r437 | lh3lh3 | 2009-08-04 04:13:24 -0400 (Tue, 04 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-24 (r435)
 * fixed a typo

------------------------------------------------------------------------
r434 | lh3lh3 | 2009-08-03 05:40:42 -0400 (Mon, 03 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-23 (r434)
 * in tview, press 'r' to show read names rather than sequences

------------------------------------------------------------------------
r433 | lh3lh3 | 2009-08-02 14:13:35 -0400 (Sun, 02 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/knetfile.c

 * tried to fixed the buggy FTP random access in Windows. FAILED.
 * anyway, MinGW seems to have problem with "%lld".

------------------------------------------------------------------------
r432 | lh3lh3 | 2009-08-01 19:32:07 -0400 (Sat, 01 Aug 2009) | 5 lines
Changed paths:
   M /trunk/samtools/Makefile.mingw
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/faidx.c
   M /trunk/samtools/razf.c
   A /trunk/samtools/win32/libcurses.a
   A /trunk/samtools/win32/xcurses.h

 * samtools-0.1.5-22 (r432)
 * faidx: fixed compitability issue with _WIN32
 * razf: fixed potential compitability issue with _WIN32
 * PDCurses support in Windows

------------------------------------------------------------------------
r431 | lh3lh3 | 2009-08-01 18:34:54 -0400 (Sat, 01 Aug 2009) | 2 lines
Changed paths:
   M /trunk/samtools/win32/libz.a

replace the GnuWin32 version of libz.a with my own build with MinGW.

------------------------------------------------------------------------
r430 | lh3lh3 | 2009-08-01 18:21:07 -0400 (Sat, 01 Aug 2009) | 2 lines
Changed paths:
   M /trunk/samtools/knetfile.c

add comments

------------------------------------------------------------------------
r429 | lh3lh3 | 2009-08-01 17:41:19 -0400 (Sat, 01 Aug 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile.mingw
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.5-21 (r428)
 * knetfile.c is now compatible with mingw-winsock

------------------------------------------------------------------------
r428 | lh3lh3 | 2009-07-31 19:39:07 -0400 (Fri, 31 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.mingw

simplify MinGW Makefile

------------------------------------------------------------------------
r427 | lh3lh3 | 2009-07-31 19:30:54 -0400 (Fri, 31 Jul 2009) | 5 lines
Changed paths:
   A /trunk/samtools/Makefile.mingw
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/win32
   A /trunk/samtools/win32/libz.a
   A /trunk/samtools/win32/zconf.h
   A /trunk/samtools/win32/zlib.h

 * samtools-0.1.5-20 (r427)
 * MinGW support. At least SAM<->BAM conversion is working. Other
   functionality are not tested at the moment.
 * zlib headers and Windows version of libz.a are included in win32/

------------------------------------------------------------------------
r426 | lh3lh3 | 2009-07-31 18:32:09 -0400 (Fri, 31 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-19 (r426)
 * fixed a bug caused by recent modifications. Sorry.

------------------------------------------------------------------------
r425 | lh3lh3 | 2009-07-31 18:23:51 -0400 (Fri, 31 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bgzf.c

compatible with Windows binary files

------------------------------------------------------------------------
r424 | lh3lh3 | 2009-07-31 05:19:59 -0400 (Fri, 31 Jul 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl

 * samtools-0.1.5-18 (r423)
 * output additional information in pileup indel lines, for the purepose
   of debugging at the moment
 * in tview, optionally allow to treat reference skip as deletion

------------------------------------------------------------------------
r423 | lh3lh3 | 2009-07-30 17:00:36 -0400 (Thu, 30 Jul 2009) | 2 lines
Changed paths:
   A /trunk/samtools/misc/psl2sam.pl

convert BLAT psl to SAM.

------------------------------------------------------------------------
r422 | lh3lh3 | 2009-07-30 06:24:39 -0400 (Thu, 30 Jul 2009) | 6 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-17 (r422)
 * fixed a but in knetfile.c when seek type is not SEEK_SET
 * write an empty BGZF block to every BGZF file
 * check BGZF EOF marker in bam_header_read()
 * update ChangeLog

------------------------------------------------------------------------
r421 | lh3lh3 | 2009-07-30 05:03:39 -0400 (Thu, 30 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam.h
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-16 (r421)
 * in view and pileup, load header from FASTA index if the input is SAM.

------------------------------------------------------------------------
r420 | lh3lh3 | 2009-07-29 04:18:55 -0400 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/maq2sam.c

do not set "read 1" if reads are not mapped in the PE mode of maq

------------------------------------------------------------------------
r419 | lh3lh3 | 2009-07-28 04:52:33 -0400 (Tue, 28 Jul 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/samtools.pl
   M /trunk/samtools/misc/wgsim_eval.pl

 * samtools-0.1.5-15 (r419)
 * in sam_open(), return NULL when the file cannot be opened.
 * make wgsim_eval.pl more robust to imperfect SAM
 * add "unique" command to samtools.pl

------------------------------------------------------------------------
r418 | lh3lh3 | 2009-07-24 09:04:19 -0400 (Fri, 24 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/wgsim_eval.pl

skip @header lines in SAM

------------------------------------------------------------------------
r417 | lh3lh3 | 2009-07-24 07:42:38 -0400 (Fri, 24 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-14 (r417)
 * more help in "samtools view" due to the recent changes.

------------------------------------------------------------------------
r416 | lh3lh3 | 2009-07-24 07:34:30 -0400 (Fri, 24 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam.h
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-17 (r416)
 * support import/export SAM with string tags

------------------------------------------------------------------------
r415 | lh3lh3 | 2009-07-24 06:39:26 -0400 (Fri, 24 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam.h
   M /trunk/samtools/sam_view.c

 * samtools-0.1.5-12 (r415)
 * FLAG now can be in HEX

------------------------------------------------------------------------
r414 | lh3lh3 | 2009-07-22 17:03:49 -0400 (Wed, 22 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/kstring.h

fixed a compiling error (thank Ken for fixing it)

------------------------------------------------------------------------
r412 | lh3lh3 | 2009-07-21 17:19:40 -0400 (Tue, 21 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/kstring.c
   M /trunk/samtools/kstring.h

Implemented Boyer-Moore search in the kstring library.

------------------------------------------------------------------------
r409 | lh3lh3 | 2009-07-17 12:10:20 -0400 (Fri, 17 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_index.c

do not include knetfile.h when _USE_KNETFILE is not defined

------------------------------------------------------------------------
r408 | lh3lh3 | 2009-07-17 10:29:21 -0400 (Fri, 17 Jul 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c

 * samtools-0.1.5-11 (r408)
 * force to overwirte existing MD if it is different from the one calculated
   from fillmd.
 * bgzf.c: improved the compatibility with Windows headers

------------------------------------------------------------------------
r407 | lh3lh3 | 2009-07-17 09:46:56 -0400 (Fri, 17 Jul 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.h

 * samtools-0.1.5-10 (r407)
 * implemented bam_aux_del() to remove a tag
 * fillmd: generate the NM tag
 * fillmd: cmd interface improvement

------------------------------------------------------------------------
r406 | lh3lh3 | 2009-07-16 18:30:40 -0400 (Thu, 16 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile

Sorry. The old Makefile is for PDCurses...

------------------------------------------------------------------------
r405 | lh3lh3 | 2009-07-16 18:30:11 -0400 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-9 (r405)
 * improved the compatibility with PDCurses a little bit

------------------------------------------------------------------------
r404 | lh3lh3 | 2009-07-16 18:23:52 -0400 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-8 (r404)
 * compatible with PDCurses

------------------------------------------------------------------------
r403 | lh3lh3 | 2009-07-16 17:39:39 -0400 (Thu, 16 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kseq.h

 * samtools-0.1.5-7 (r403)
 * fixed a bug in kseq.h for binary files (text files are fine)

------------------------------------------------------------------------
r402 | lh3lh3 | 2009-07-16 06:49:53 -0400 (Thu, 16 Jul 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c

 * samtools-0.1.5-6 (r402)
 * fixed compiling error when "-D_USE_NETFILE" is not applied
 * improve portability to MinGW

------------------------------------------------------------------------
r398 | lh3lh3 | 2009-07-13 05:21:36 -0400 (Mon, 13 Jul 2009) | 3 lines
Changed paths:
   A /trunk/bam-lite/bam.h (from /trunk/samtools/bam.h:395)
   A /trunk/bam-lite/bam_lite.c (from /trunk/samtools/bam_lite.c:395)
   D /trunk/samtools/bam_lite.c

 * move bam_lite.c to bam-lite
 * copy bam.h to bam-lite

------------------------------------------------------------------------
r395 | lh3lh3 | 2009-07-13 05:12:57 -0400 (Mon, 13 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_lite.c
   M /trunk/samtools/bam_lpileup.c
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-5 (r395)
 * added bam_pileup_file() and removed bam_lpileup_file()

------------------------------------------------------------------------
r394 | lh3lh3 | 2009-07-12 19:35:10 -0400 (Sun, 12 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.5-4 (r394)
 * http_proxy support in knetfile library (check http_proxy ENV)

------------------------------------------------------------------------
r393 | lh3lh3 | 2009-07-12 18:57:07 -0400 (Sun, 12 Jul 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.5-3 (r393)
 * knetfile now supports HTTP (no proxy at the moment)
 * fixed a potential issue in knetfile on opening ordinary file, although I have
   not seen the sideeffect so far.

------------------------------------------------------------------------
r392 | lh3lh3 | 2009-07-12 13:50:55 -0400 (Sun, 12 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/samtools.1

Remove the warning in tview

------------------------------------------------------------------------
r391 | lh3lh3 | 2009-07-12 13:42:43 -0400 (Sun, 12 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-2 (r391)
 * do not show a blank screen when no reads mapped

------------------------------------------------------------------------
r390 | lh3lh3 | 2009-07-09 09:01:42 -0400 (Thu, 09 Jul 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam.h
   A /trunk/samtools/bam_lite.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.5-1 (r390)
 * removed useless _IOLIB in bam.h. This should cause no change at all.
 * added bam_lite.c for light-weight BAM reading

------------------------------------------------------------------------
r385 | lh3lh3 | 2009-07-07 11:53:29 -0400 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c

Release samtools-0.1.5c (fixed a bug in piping)

------------------------------------------------------------------------
r383 | lh3lh3 | 2009-07-07 06:39:55 -0400 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c

Release samtools-0.1.5b (BUG! so embarrassing!)

------------------------------------------------------------------------
r381 | lh3lh3 | 2009-07-07 06:20:06 -0400 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bamtk.c

Release samtools-0.1.5a (for compatibility with Bio::DB::Sam)

------------------------------------------------------------------------
r373 | lh3lh3 | 2009-07-07 05:26:57 -0400 (Tue, 07 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

Release samtools-0.1.5

------------------------------------------------------------------------
r372 | lh3lh3 | 2009-07-07 04:49:27 -0400 (Tue, 07 Jul 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c

 * samtools-0.1.4-23 (r372)
 * keep header text if "view -t" is used (by Gerton)

------------------------------------------------------------------------
r371 | lh3lh3 | 2009-07-06 20:13:32 -0400 (Mon, 06 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/samtools.1

update documentation

------------------------------------------------------------------------
r370 | bhandsaker | 2009-07-02 17:24:34 -0400 (Thu, 02 Jul 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile

Introduced LIBPATH variable so this could be overridden to allow samtools to build correct at the Broad.

------------------------------------------------------------------------
r369 | lh3lh3 | 2009-07-02 08:36:53 -0400 (Thu, 02 Jul 2009) | 4 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-22 (r369)
 * in pileup, optionally print E2 and U2
 * remove the debugging code in bam_aux_get() (Drat!)

------------------------------------------------------------------------
r368 | lh3lh3 | 2009-07-02 06:32:26 -0400 (Thu, 02 Jul 2009) | 6 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_lpileup.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bam_stat.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/faidx.c
   M /trunk/samtools/faidx.h
   M /trunk/samtools/glf.c

 * samtools-0.1.4-21 (r368)
 * propagate errors rather than exit or complain assertion failure. Assertion
   should be only used for checking internal bugs, but not for external input
   inconsistency. I was just a bit lazy.
 * small memory leak may be present on failure, though

------------------------------------------------------------------------
r367 | lh3lh3 | 2009-06-30 11:18:42 -0400 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/knetfile.c

reduce the chance of blocking in FTP connection

------------------------------------------------------------------------
r366 | lh3lh3 | 2009-06-30 10:35:21 -0400 (Tue, 30 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/knetfile.c

minor changes to knetfile: invalid fd equals -1 rather than 0

------------------------------------------------------------------------
r365 | lh3lh3 | 2009-06-30 09:04:30 -0400 (Tue, 30 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.4-20 (r365)
 * download the BAM index file if it is not found in the current working directory.

------------------------------------------------------------------------
r364 | lh3lh3 | 2009-06-30 07:39:07 -0400 (Tue, 30 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/knetfile.c

 * samtools-0.1.4-19 (r364)
 * knetfile: report error when the file is not present on FTP

------------------------------------------------------------------------
r363 | lh3lh3 | 2009-06-29 18:23:32 -0400 (Mon, 29 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.4-18 (r363)
 * knetfile: do not trigger network communication in FTP seek (lazy seek)
 * bgzf: cache recent blocks (disabled by default)

------------------------------------------------------------------------
r362 | lh3lh3 | 2009-06-25 16:04:34 -0400 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bgzf.c

write changelog

------------------------------------------------------------------------
r361 | lh3lh3 | 2009-06-25 16:03:10 -0400 (Thu, 25 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-17 (r361)
 * if a file is given on FTP, search locally for the BAM index

------------------------------------------------------------------------
r360 | lh3lh3 | 2009-06-25 15:44:52 -0400 (Thu, 25 Jun 2009) | 5 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

 * samtools-0.1.4-16 (r360)
 * report more information in index when the input is not sorted
 * change the behaviour of knet_seek() such that it returns 0 on success
 * support knetfile library in BGZF

------------------------------------------------------------------------
r359 | lh3lh3 | 2009-06-25 12:10:55 -0400 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/knetfile.c
   M /trunk/samtools/knetfile.h

fixed bugs in knetfile.*

------------------------------------------------------------------------
r358 | lh3lh3 | 2009-06-25 08:53:19 -0400 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   A /trunk/samtools/knetfile.h

this is the header file

------------------------------------------------------------------------
r357 | lh3lh3 | 2009-06-25 08:52:03 -0400 (Thu, 25 Jun 2009) | 3 lines
Changed paths:
   A /trunk/samtools/knetfile.c

 * open a file at FTP
 * preliminary version

------------------------------------------------------------------------
r354 | lh3lh3 | 2009-06-24 09:02:25 -0400 (Wed, 24 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-15 (r354)
 * fixed a memory leak in bam_view1(), although samtools is not using this routine.

------------------------------------------------------------------------
r351 | lh3lh3 | 2009-06-17 19:16:26 -0400 (Wed, 17 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/faidx.c

 * samtools-0.1.4-13 (r351)
 * make faidx more tolerant to empty lines right before or after > lines
 * hope this does not introduce new bugs...

------------------------------------------------------------------------
r350 | lh3lh3 | 2009-06-16 09:37:01 -0400 (Tue, 16 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-13 (r350)
 * fixed a small memory leak in pileup, caused by recent modifications

------------------------------------------------------------------------
r347 | lh3lh3 | 2009-06-13 16:20:49 -0400 (Sat, 13 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.4-12 (r347)
 * added `-S' to pileup, similar to `view -S' 

------------------------------------------------------------------------
r346 | lh3lh3 | 2009-06-13 12:52:31 -0400 (Sat, 13 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.4-11 (r346)
 * allow to select a read group at view command-line

------------------------------------------------------------------------
r344 | lh3lh3 | 2009-06-13 09:06:24 -0400 (Sat, 13 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/examples/calDepth.c

added more comments

------------------------------------------------------------------------
r343 | lh3lh3 | 2009-06-13 09:01:22 -0400 (Sat, 13 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/examples/calDepth.c

nothing really

------------------------------------------------------------------------
r342 | lh3lh3 | 2009-06-13 08:58:48 -0400 (Sat, 13 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/examples/Makefile
   A /trunk/samtools/examples/calDepth.c

added an example of calculating read depth

------------------------------------------------------------------------
r341 | lh3lh3 | 2009-06-13 08:00:08 -0400 (Sat, 13 Jun 2009) | 6 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   A /trunk/samtools/bam_color.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam.h

 * samtools-0.1.4-10 (r341)
 * only include key APIs in libbam.a
 * move color-specific routines to bam_color.c
 * update documentations
 * remove the support of -q in pileup

------------------------------------------------------------------------
r340 | lh3lh3 | 2009-06-13 06:17:14 -0400 (Sat, 13 Jun 2009) | 6 lines
Changed paths:
   M /trunk/samtools/INSTALL
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/razf.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.4-9 (r340)
 * added a warning to razf.c if zlib<1.2.2.1
 * fixed a compilation warning
 * fixed a segfault caused by @RG parsing
 * detect NCURSES in bam_tview.c

------------------------------------------------------------------------
r339 | lh3lh3 | 2009-06-13 05:35:19 -0400 (Sat, 13 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/INSTALL

update INSTALL

------------------------------------------------------------------------
r338 | lh3lh3 | 2009-06-12 19:15:24 -0400 (Fri, 12 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kstring.h
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.4-8 (r338)
 * parse the @RG header lines and allow to choose library at the "samtools view"
   command line

------------------------------------------------------------------------
r337 | lh3lh3 | 2009-06-12 16:25:50 -0400 (Fri, 12 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.4-7 (r337)
 * bgzf.c: support mode string "wu": uncompressed output
 * "samtools view" support "-u" command-line option

------------------------------------------------------------------------
r336 | lh3lh3 | 2009-06-12 12:20:12 -0400 (Fri, 12 Jun 2009) | 5 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/misc/Makefile
   M /trunk/samtools/razf.c
   M /trunk/samtools/razf.h
   M /trunk/samtools/razip.c

 * no changes to samtools itself
 * remove zlib source codes
 * make RAZF reading compatible with old version of zlib
 * on old version of zlib, writing is not available

------------------------------------------------------------------------
r335 | lh3lh3 | 2009-06-12 11:47:33 -0400 (Fri, 12 Jun 2009) | 2 lines
Changed paths:
   D /trunk/samtools/zlib

remove zlib for simplification...

------------------------------------------------------------------------
r334 | lh3lh3 | 2009-06-12 10:43:36 -0400 (Fri, 12 Jun 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-6 (r334)
 * do not export bam_aux_get_core() for Bio::DB::Sam because it has already
   been implemented in that.
 * this version works with the latest Bio::DB::Sam (20090612)

------------------------------------------------------------------------
r333 | lh3lh3 | 2009-06-12 10:33:42 -0400 (Fri, 12 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog

update ChangeLog

------------------------------------------------------------------------
r332 | lh3lh3 | 2009-06-12 10:21:21 -0400 (Fri, 12 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/AUTHORS
   M /trunk/samtools/Makefile
   M /trunk/samtools/misc/Makefile

fixed minor things in Makefile

------------------------------------------------------------------------
r331 | lh3lh3 | 2009-06-12 10:07:05 -0400 (Fri, 12 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-5 (r3310
 * no change to samtools itself. Version number is increased to reflect the
   changes in the Makefile building system.

------------------------------------------------------------------------
r330 | lh3lh3 | 2009-06-12 10:03:38 -0400 (Fri, 12 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/AUTHORS
   D /trunk/samtools/README

update information...

------------------------------------------------------------------------
r329 | lh3lh3 | 2009-06-12 09:52:21 -0400 (Fri, 12 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/novo2sam.pl

 * updated novoalign converter by Colin Hercus et al.
 * this version works with indels

------------------------------------------------------------------------
r328 | lh3lh3 | 2009-06-12 09:50:53 -0400 (Fri, 12 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/INSTALL
   M /trunk/samtools/Makefile
   M /trunk/samtools/misc/Makefile
   M /trunk/samtools/zlib/Makefile

 * update Makefile
 * update INSTALL instruction

------------------------------------------------------------------------
r327 | lh3lh3 | 2009-06-12 09:18:29 -0400 (Fri, 12 Jun 2009) | 4 lines
Changed paths:
   A /trunk/samtools/Makefile (from /trunk/samtools/Makefile.generic:325)
   D /trunk/samtools/Makefile.am
   D /trunk/samtools/Makefile.generic
   D /trunk/samtools/Makefile.lite
   D /trunk/samtools/autogen.sh
   D /trunk/samtools/cleanup.sh
   D /trunk/samtools/configure.ac
   A /trunk/samtools/misc/Makefile (from /trunk/samtools/misc/Makefile.generic:305)
   D /trunk/samtools/misc/Makefile.am
   D /trunk/samtools/misc/Makefile.generic
   M /trunk/samtools/razf.c
   A /trunk/samtools/zlib
   A /trunk/samtools/zlib/Makefile
   A /trunk/samtools/zlib/adler32.c
   A /trunk/samtools/zlib/compress.c
   A /trunk/samtools/zlib/crc32.c
   A /trunk/samtools/zlib/crc32.h
   A /trunk/samtools/zlib/deflate.c
   A /trunk/samtools/zlib/deflate.h
   A /trunk/samtools/zlib/gzio.c
   A /trunk/samtools/zlib/infback.c
   A /trunk/samtools/zlib/inffast.c
   A /trunk/samtools/zlib/inffast.h
   A /trunk/samtools/zlib/inffixed.h
   A /trunk/samtools/zlib/inflate.c
   A /trunk/samtools/zlib/inflate.h
   A /trunk/samtools/zlib/inftrees.c
   A /trunk/samtools/zlib/inftrees.h
   A /trunk/samtools/zlib/trees.c
   A /trunk/samtools/zlib/trees.h
   A /trunk/samtools/zlib/uncompr.c
   A /trunk/samtools/zlib/zconf.h
   A /trunk/samtools/zlib/zlib.h
   A /trunk/samtools/zlib/zutil.c
   A /trunk/samtools/zlib/zutil.h
   D /trunk/samtools/zutil.h

 * added zlib-1.2.3 as razip requires that
 * prepare to changed back to the Makefile building system
 * unfinished! (will be soon)

------------------------------------------------------------------------
r326 | lh3lh3 | 2009-06-12 09:12:03 -0400 (Fri, 12 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

Unfinished

------------------------------------------------------------------------
r325 | lh3lh3 | 2009-06-10 11:27:59 -0400 (Wed, 10 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.4-4 (r325)
 * further avoid wrong consensus calls in repetitive regions.

------------------------------------------------------------------------
r324 | lh3lh3 | 2009-06-10 10:56:17 -0400 (Wed, 10 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam.h

 * samtools-0.1.4-3 (r324)
 * make maqcns generate the correct call in repetitive regions.
 * allow filtering on mapQ at the pileup command line

------------------------------------------------------------------------
r323 | lh3lh3 | 2009-06-10 05:04:21 -0400 (Wed, 10 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.3.2 (r322)
 * indels and SNPs use different mapping quality threshold

------------------------------------------------------------------------
r322 | lh3lh3 | 2009-06-10 05:03:22 -0400 (Wed, 10 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/export2sam.pl

fixed a typo

------------------------------------------------------------------------
r321 | lh3lh3 | 2009-06-09 04:21:48 -0400 (Tue, 09 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

just typo. no real change

------------------------------------------------------------------------
r320 | lh3lh3 | 2009-06-08 09:32:51 -0400 (Mon, 08 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

a little bit code cleanup

------------------------------------------------------------------------
r319 | lh3lh3 | 2009-06-08 09:22:33 -0400 (Mon, 08 Jun 2009) | 4 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.3.1
 * change default parameters
 * optionally print filtered variants

------------------------------------------------------------------------
r318 | lh3lh3 | 2009-06-08 09:14:26 -0400 (Mon, 08 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.3.0
 * combine snpFilter and indelFilter

------------------------------------------------------------------------
r317 | lh3lh3 | 2009-06-08 06:31:42 -0400 (Mon, 08 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.2.3
 * change a default parameter

------------------------------------------------------------------------
r316 | lh3lh3 | 2009-06-08 06:11:06 -0400 (Mon, 08 Jun 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c

 * samtools-0.1.4-2 (r316)
 * pileup: cap mapping quality at 60 (by default)
 * pileup: always calculate RMS mapq
 * pileup: allow to output variant sites only

------------------------------------------------------------------------
r312 | lh3lh3 | 2009-06-04 08:01:10 -0400 (Thu, 04 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.2.2
 * added pileup2fq

------------------------------------------------------------------------
r311 | lh3lh3 | 2009-06-03 04:40:40 -0400 (Wed, 03 Jun 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * in snpFilter, suppress non-SNP sites

------------------------------------------------------------------------
r310 | lh3lh3 | 2009-06-01 09:35:13 -0400 (Mon, 01 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.2.1
 * fixed a typo

------------------------------------------------------------------------
r309 | lh3lh3 | 2009-06-01 09:04:39 -0400 (Mon, 01 Jun 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.2.0
 * snpFilter

------------------------------------------------------------------------
r306 | lh3lh3 | 2009-05-28 06:49:35 -0400 (Thu, 28 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bgzf.c

 * minor changes to bgzf: return NULL if fd == -1
 * suggested by {kdj,jm18}@sanger.ac.uk

------------------------------------------------------------------------
r305 | lh3lh3 | 2009-05-28 06:16:08 -0400 (Thu, 28 May 2009) | 2 lines
Changed paths:
   A /trunk/samtools/misc/interpolate_sam.pl

Script for paired-end pileup, contributed by Stephen Montgomery.

------------------------------------------------------------------------
r304 | lh3lh3 | 2009-05-28 06:08:49 -0400 (Thu, 28 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c

 * samtools-0.1.4-1 (r304)
 * fixed a minor bug in printing headers

------------------------------------------------------------------------
r297 | lh3lh3 | 2009-05-21 11:06:16 -0400 (Thu, 21 May 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/maq2sam.c
   M /trunk/samtools/samtools.1

Release samtools-0.1.4

------------------------------------------------------------------------
r296 | lh3lh3 | 2009-05-21 07:53:14 -0400 (Thu, 21 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-24 (r296)
 * another similar bug in the indel caller

------------------------------------------------------------------------
r295 | lh3lh3 | 2009-05-21 07:50:28 -0400 (Thu, 21 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-23 (r295)
 * fixed a critical bug in the indel caller

------------------------------------------------------------------------
r294 | lh3lh3 | 2009-05-20 08:00:20 -0400 (Wed, 20 May 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_stat.c

added a missing header file

------------------------------------------------------------------------
r293 | lh3lh3 | 2009-05-19 18:44:25 -0400 (Tue, 19 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-22 (r293)
 * open tview in the dot-view mode by default

------------------------------------------------------------------------
r292 | lh3lh3 | 2009-05-18 16:01:23 -0400 (Mon, 18 May 2009) | 6 lines
Changed paths:
   M /trunk/samtools/samtools.1

Added a note to the manual. Currently SAMtools used unaligned words in
several places. Although this does not cause bus errors to me, it may
affect portability. Please see the "Bus error" wiki page for more
information. Also thank James Bonfields for pointing this out.


------------------------------------------------------------------------
r286 | lh3lh3 | 2009-05-14 10:23:13 -0400 (Thu, 14 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-21 (286)
 * declare bam_aux_get_core() in bam.h

------------------------------------------------------------------------
r276 | lh3lh3 | 2009-05-13 05:07:55 -0400 (Wed, 13 May 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-20 (r276)
 * remove bam1_t::hash again. We need to modify the Perl API anyway to
   make it work with the latest SVN.
 * As is suggested by Tim, scan "{base}.bai" and "{base}.bam.bai" for index

------------------------------------------------------------------------
r275 | lh3lh3 | 2009-05-12 16:14:10 -0400 (Tue, 12 May 2009) | 4 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam.h
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-19 (r275)
 * a minor change to the bam1_t struct: added back "void *hash" for the
   backward compatibility with Bio::DB::Sam

------------------------------------------------------------------------
r273 | lh3lh3 | 2009-05-12 09:28:39 -0400 (Tue, 12 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-18 (r273)
 * rmdupse: do not remove unmapped reads

------------------------------------------------------------------------
r272 | lh3lh3 | 2009-05-12 09:20:00 -0400 (Tue, 12 May 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_rmdupse.c

change a parameter. It does nothing

------------------------------------------------------------------------
r271 | lh3lh3 | 2009-05-12 09:17:58 -0400 (Tue, 12 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile.am
   M /trunk/samtools/Makefile.generic
   M /trunk/samtools/Makefile.lite
   A /trunk/samtools/bam_rmdupse.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/configure.ac

 * samtools-0.1.3-17 (r271)
 * added 'rmdupse' command

------------------------------------------------------------------------
r267 | lh3lh3 | 2009-05-05 17:31:41 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.3-16 (r267)
 * in sam_view.c, changed g_flag_on based on the suggestion by Angie Hinrichs

------------------------------------------------------------------------
r266 | lh3lh3 | 2009-05-05 17:23:27 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-15 (r266)
 * report an error if a non-* reference is present while @SQ is absent

------------------------------------------------------------------------
r265 | lh3lh3 | 2009-05-05 17:09:00 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.3-14 (r262)
 * make samopen() recognize @SQ header lines

------------------------------------------------------------------------
r261 | lh3lh3 | 2009-05-05 10:10:30 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam_view.c

 * samtools-0.1.3-13 (r260)
 * report error for file I/O error

------------------------------------------------------------------------
r260 | lh3lh3 | 2009-05-05 10:01:16 -0400 (Tue, 05 May 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.am

update Makefile.am

------------------------------------------------------------------------
r259 | lh3lh3 | 2009-05-05 09:52:25 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/sam.c
   M /trunk/samtools/sam.h

 * samtools-0.1.3-12 (r259)
 * use the new I/O interface in pileup

------------------------------------------------------------------------
r258 | lh3lh3 | 2009-05-05 09:33:22 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile.generic
   M /trunk/samtools/Makefile.lite
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/sam.c
   A /trunk/samtools/sam.h
   A /trunk/samtools/sam_view.c

 * samtools-0.1.3-11 (r258)
 * unify the interface to BAM and SAM I/O

------------------------------------------------------------------------
r257 | lh3lh3 | 2009-05-05 04:53:35 -0400 (Tue, 05 May 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile.lite
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-10 (r257)
 * allow hex with "pileup -m"

------------------------------------------------------------------------
r256 | lh3lh3 | 2009-05-04 14:16:50 -0400 (Mon, 04 May 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_lpileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-9 (r256)
 * fixed a bug in bam_lpileup.c
 * I do not know if this also fixes the bug causing assertion failure in the tview

------------------------------------------------------------------------
r251 | lh3lh3 | 2009-04-28 08:53:23 -0400 (Tue, 28 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-8 (r251)
 * fixed a bug when there are reads without coordinates

------------------------------------------------------------------------
r250 | lh3lh3 | 2009-04-28 08:43:33 -0400 (Tue, 28 Apr 2009) | 2 lines
Changed paths:
   A /trunk/samtools/AUTHORS
   A /trunk/samtools/README
   M /trunk/samtools/cleanup.sh

added missing files

------------------------------------------------------------------------
r249 | lh3lh3 | 2009-04-28 08:37:16 -0400 (Tue, 28 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.generic
   M /trunk/samtools/Makefile.lite
   M /trunk/samtools/configure.ac
   M /trunk/samtools/misc/Makefile.generic

improve large file support in compilation

------------------------------------------------------------------------
r248 | lh3lh3 | 2009-04-28 08:33:24 -0400 (Tue, 28 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/INSTALL

update INSTALL

------------------------------------------------------------------------
r247 | lh3lh3 | 2009-04-28 08:28:50 -0400 (Tue, 28 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.am
   M /trunk/samtools/autogen.sh
   M /trunk/samtools/cleanup.sh
   M /trunk/samtools/configure.ac
   A /trunk/samtools/misc/Makefile.am

fixed various issues about the GNU building scripts

------------------------------------------------------------------------
r246 | lh3lh3 | 2009-04-28 08:10:23 -0400 (Tue, 28 Apr 2009) | 4 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   D /trunk/samtools/Makefile
   A /trunk/samtools/Makefile.am
   A /trunk/samtools/Makefile.generic
   A /trunk/samtools/autogen.sh
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   A /trunk/samtools/cleanup.sh
   A /trunk/samtools/configure.ac
   D /trunk/samtools/misc/Makefile
   A /trunk/samtools/misc/Makefile.generic (from /trunk/samtools/misc/Makefile:245)

 * samtools-0.1.3-7 (r246)
 * incorporated revisions from Nils Homer
 * enhanced support of displaying color-space reads

------------------------------------------------------------------------
r244 | lh3lh3 | 2009-04-25 06:49:40 -0400 (Sat, 25 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-6 (r244)
 * fixed segfault for unmapped reads

------------------------------------------------------------------------
r243 | lh3lh3 | 2009-04-24 16:27:26 -0400 (Fri, 24 Apr 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-5 (r243)
 * fixed a long existing bug which may cause memory leak
 * check MD
 * consensus calling now works with "=", but indel calling not

------------------------------------------------------------------------
r242 | lh3lh3 | 2009-04-24 15:44:46 -0400 (Fri, 24 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_md.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-4 (r242)
 * fixed a memory leak

------------------------------------------------------------------------
r240 | lh3lh3 | 2009-04-24 11:40:18 -0400 (Fri, 24 Apr 2009) | 5 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/Makefile.lite
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   A /trunk/samtools/bam_md.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-3 (r240)
 * generate MD tag
 * generate "=" bases
 * the plain pileup now support "=" bases, but consensus calling and glfgen may fail

------------------------------------------------------------------------
r239 | lh3lh3 | 2009-04-24 07:08:20 -0400 (Fri, 24 Apr 2009) | 5 lines
Changed paths:
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_aux.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-2 (r239)
 * fixed bugs in bam_aux.c (these functions nevered used by samtools)
 * removed bam_aux_init()/bam_aux_destroy()
 * added tagview for testing bam_aux

------------------------------------------------------------------------
r235 | lh3lh3 | 2009-04-21 18:17:39 -0400 (Tue, 21 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.3-1
 * fixed a bug in pileup: the first read in a chromosome may not be printed

------------------------------------------------------------------------
r232 | lh3lh3 | 2009-04-16 10:25:43 -0400 (Thu, 16 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.lite

a missing file in Makefile.lite

------------------------------------------------------------------------
r227 | lh3lh3 | 2009-04-15 17:02:53 -0400 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c

Release samtools-0.1.3

------------------------------------------------------------------------
r223 | lh3lh3 | 2009-04-15 09:31:32 -0400 (Wed, 15 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-28
 * make samtools more robust to weird input such as empty file

------------------------------------------------------------------------
r222 | lh3lh3 | 2009-04-15 09:05:33 -0400 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/samtools.1

prepare for release 0.1.3

------------------------------------------------------------------------
r221 | lh3lh3 | 2009-04-15 08:32:14 -0400 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   A /trunk/samtools/misc/blast2sam.pl

convert NCBI-BLASTN to SAM

------------------------------------------------------------------------
r220 | lh3lh3 | 2009-04-15 08:18:19 -0400 (Wed, 15 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_lpileup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-27
 * fixed a small memory leak in tview

------------------------------------------------------------------------
r219 | lh3lh3 | 2009-04-15 08:00:08 -0400 (Wed, 15 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_rmdup.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-26
 * fixed a bug in rmdup when there are unmapped reads

------------------------------------------------------------------------
r218 | lh3lh3 | 2009-04-14 17:28:58 -0400 (Tue, 14 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS

proposed NEWS for the new release (have not yet)

------------------------------------------------------------------------
r216 | lh3lh3 | 2009-04-14 17:10:46 -0400 (Tue, 14 Apr 2009) | 4 lines
Changed paths:
   M /trunk/samtools/misc/samtools.pl

 * samtools.pl-0.1.1
 * improve indelFilter to avoid filtering true indels. The new filter relies
   on the new pileup indel line implemented in samtools-0.1.2-25

------------------------------------------------------------------------
r215 | lh3lh3 | 2009-04-14 17:04:19 -0400 (Tue, 14 Apr 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

 * samtools-0.1.2-25
 * change the pileup indel line to shows the number of alignments actually
   containing indels

------------------------------------------------------------------------
r211 | lh3lh3 | 2009-04-13 07:07:13 -0400 (Mon, 13 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog

update ChangeLog from "svn log"

------------------------------------------------------------------------
r210 | lh3lh3 | 2009-04-12 15:57:05 -0400 (Sun, 12 Apr 2009) | 4 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kseq.h

 * samtools-0.1.2-24
 * in merge, gives a warning rather than error if the target sequence length is different
 * allow empty header

------------------------------------------------------------------------
r209 | lh3lh3 | 2009-04-12 15:32:44 -0400 (Sun, 12 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-23
 * recognize '*' at the QUAL field

------------------------------------------------------------------------
r208 | lh3lh3 | 2009-04-12 15:08:02 -0400 (Sun, 12 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kseq.h

 * samtools-0.1.2-22
 * the field separater is TAB only, now

------------------------------------------------------------------------
r207 | lh3lh3 | 2009-04-08 10:18:03 -0400 (Wed, 08 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/examples/ex1.sam.gz

 * fixed the problem in the example alignment due to the bug in fixmate

------------------------------------------------------------------------
r206 | lh3lh3 | 2009-04-08 10:15:05 -0400 (Wed, 08 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mate.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/soap2sam.pl

 * samtools-0.1.2-21
 * fixed a nasty bug in `fixmate'

------------------------------------------------------------------------
r205 | lh3lh3 | 2009-04-08 05:57:08 -0400 (Wed, 08 Apr 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/bowtie2sam.pl
   M /trunk/samtools/misc/soap2sam.pl
   M /trunk/samtools/misc/wgsim_eval.pl

make the script robust to the bugs in SOAP-2.1.7

------------------------------------------------------------------------
r200 | lh3lh3 | 2009-04-02 10:14:56 -0400 (Thu, 02 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_stat.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-20
 * check if file is truncated in flagstat

------------------------------------------------------------------------
r199 | lh3lh3 | 2009-04-02 10:09:10 -0400 (Thu, 02 Apr 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-19
 * print the header if requested

------------------------------------------------------------------------
r193 | lh3lh3 | 2009-03-27 11:09:50 -0400 (Fri, 27 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-18
 * fixed a minor bug reported by Nils Homer

------------------------------------------------------------------------
r185 | lh3lh3 | 2009-03-24 07:50:32 -0400 (Tue, 24 Mar 2009) | 2 lines
Changed paths:
   A /trunk/samtools/Makefile (from /trunk/samtools/Makefile.std:184)
   D /trunk/samtools/Makefile.std
   A /trunk/samtools/misc/Makefile (from /trunk/samtools/misc/Makefile.std:184)
   D /trunk/samtools/misc/Makefile.std

rename Makefile.std as Makefile. GNU building systerm is not ready and may take some time...

------------------------------------------------------------------------
r184 | lh3lh3 | 2009-03-24 06:36:38 -0400 (Tue, 24 Mar 2009) | 4 lines
Changed paths:
   D /trunk/samtools/Makefile
   A /trunk/samtools/Makefile.std (from /trunk/samtools/Makefile:183)
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bam_tview.c
   M /trunk/samtools/bamtk.c
   D /trunk/samtools/misc/Makefile
   A /trunk/samtools/misc/Makefile.std (from /trunk/samtools/misc/Makefile:182)
   M /trunk/samtools/samtools.1

 * samtools-0.1.2-17
 * incorporating Nils' changes
 * rename Makefile to Makefile.std and prepare to add the GNU building systerms (also by Nils)

------------------------------------------------------------------------
r183 | lh3lh3 | 2009-03-24 06:30:23 -0400 (Tue, 24 Mar 2009) | 4 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/kseq.h
   A /trunk/samtools/kstring.c
   A /trunk/samtools/kstring.h

 * samtools-0.1.2-16
 * made pileup take a list of proposed indels. An insertion is N at the moment.
 * added my kstring library for a bit complex parsing of the position list.

------------------------------------------------------------------------
r169 | lh3lh3 | 2009-03-12 09:40:14 -0400 (Thu, 12 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/soap2sam.pl

 * soap2sam.pl-0.1.2
 * more robust to truncated soap output

------------------------------------------------------------------------
r168 | lh3lh3 | 2009-03-11 06:49:00 -0400 (Wed, 11 Mar 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile.lite

added bam_stat.o to Makefile.lite

------------------------------------------------------------------------
r167 | lh3lh3 | 2009-03-10 18:11:31 -0400 (Tue, 10 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-15
 * generate RMS of mapQ instead of max mapQ

------------------------------------------------------------------------
r166 | lh3lh3 | 2009-03-10 18:06:45 -0400 (Tue, 10 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/glf.c
   M /trunk/samtools/glf.h
   M /trunk/samtools/misc/Makefile

 * samtools-0.1.2-14
 * implemented GLFv3

------------------------------------------------------------------------
r159 | lh3lh3 | 2009-03-03 06:26:08 -0500 (Tue, 03 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-13
 * fixed a minor bug in displaying pileup

------------------------------------------------------------------------
r158 | lh3lh3 | 2009-03-03 06:24:16 -0500 (Tue, 03 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-12
 * optionally print SAM header

------------------------------------------------------------------------
r153 | lh3lh3 | 2009-03-02 05:45:28 -0500 (Mon, 02 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/glf.c

 * samtools-0.1.2-11
 * use "GLF\3" as the magic for GLFv3 files

------------------------------------------------------------------------
r152 | lh3lh3 | 2009-03-02 05:39:09 -0500 (Mon, 02 Mar 2009) | 5 lines
Changed paths:
   M /trunk/samtools/Makefile
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/glf.c
   M /trunk/samtools/glf.h

 * samtools-0.1.2-10
 * fixed a bug in import: core.bin is undefined for unmapped reads
 * this bug can be alleviated (not completely solved) in bam_index.c
 * update to GLFv3: pos is changed to offset for better compression

------------------------------------------------------------------------
r151 | lh3lh3 | 2009-03-01 10:18:43 -0500 (Sun, 01 Mar 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/wgsim.c

 * wgsim-0.2.3
 * fixed a bug in simulating indels

------------------------------------------------------------------------
r145 | lh3lh3 | 2009-02-26 14:43:57 -0500 (Thu, 26 Feb 2009) | 4 lines
Changed paths:
   M /trunk/samtools/misc/wgsim.c

 * wgsim-0.2.2
 * allow to print mismatch information as fastq comment. MAQ does
   not like long read names.

------------------------------------------------------------------------
r141 | lh3lh3 | 2009-02-26 09:53:03 -0500 (Thu, 26 Feb 2009) | 6 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/misc/wgsim.c
   M /trunk/samtools/misc/wgsim_eval.pl

 * wgsim-0.2.1
 * fixed a bug about color read coordinates
 * fixed a bug in read names
 * wgsim_eval.pl-0.1.3
 * make the script work with color reads

------------------------------------------------------------------------
r140 | lh3lh3 | 2009-02-26 09:02:57 -0500 (Thu, 26 Feb 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/Makefile
   M /trunk/samtools/misc/wgsim.c

 * wgsim: added a note

------------------------------------------------------------------------
r139 | lh3lh3 | 2009-02-26 06:39:08 -0500 (Thu, 26 Feb 2009) | 7 lines
Changed paths:
   M /trunk/samtools/misc/wgsim.c
   M /trunk/samtools/misc/wgsim_eval.pl

 * wgsim-0.2.0
 * considerable code clean up
 * print number of substitutions/indels/errors on each read
 * potentially support SOLiD simulation, though not tested at the moment
 * wgsim_eval.pl-0.1.2
 * change in accordant with wgsim

------------------------------------------------------------------------
r129 | lh3lh3 | 2009-02-18 17:23:27 -0500 (Wed, 18 Feb 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-9
 * fixed a bug in bam_fetch, caused by completely contained adjacent chunks

------------------------------------------------------------------------
r128 | bhandsaker | 2009-02-18 14:06:57 -0500 (Wed, 18 Feb 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bamtk.c

Fix annoying segv when invalid region specified.

------------------------------------------------------------------------
r127 | lh3lh3 | 2009-02-17 05:49:55 -0500 (Tue, 17 Feb 2009) | 2 lines
Changed paths:
   D /trunk/samtools/misc/indel_filter.pl
   A /trunk/samtools/misc/samtools.pl

 * move indel_filter.pl to samtools.pl

------------------------------------------------------------------------
r126 | lh3lh3 | 2009-02-14 16:22:30 -0500 (Sat, 14 Feb 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_mate.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-7
 * fixed a bug in fixmate: SE reads are flagged as BAM_FMUNMAP

------------------------------------------------------------------------
r125 | lh3lh3 | 2009-02-13 04:54:45 -0500 (Fri, 13 Feb 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_stat.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-7
 * fixed a minor bug in flagstat

------------------------------------------------------------------------
r124 | lh3lh3 | 2009-02-12 06:15:32 -0500 (Thu, 12 Feb 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/misc/indel_filter.pl

 * samtools-0.1.2-6
 * improve indel caller by setting maximum window size

------------------------------------------------------------------------
r123 | lh3lh3 | 2009-02-12 05:30:29 -0500 (Thu, 12 Feb 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bamtk.c

 * output max mapping quality in indel line

------------------------------------------------------------------------
r122 | lh3lh3 | 2009-02-11 05:59:10 -0500 (Wed, 11 Feb 2009) | 2 lines
Changed paths:
   M /trunk/samtools/misc/maq2sam.c

fixed a bug in generating tag AM

------------------------------------------------------------------------
r121 | lh3lh3 | 2009-02-03 05:43:11 -0500 (Tue, 03 Feb 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bamtk.c

fixed a potential memory problem in indexing

------------------------------------------------------------------------
r120 | bhandsaker | 2009-02-02 10:52:52 -0500 (Mon, 02 Feb 2009) | 2 lines
Changed paths:
   M /trunk/samtools/Makefile

Pass LIBS to recursive targets to facilitate building at Broad.

------------------------------------------------------------------------
r119 | lh3lh3 | 2009-02-02 05:12:15 -0500 (Mon, 02 Feb 2009) | 4 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/bam_plcmd.c
   M /trunk/samtools/bam_stat.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-3
 * fixed a bug in generating GLFv2 for indels
 * improve flagstat report a little bit

------------------------------------------------------------------------
r118 | lh3lh3 | 2009-01-29 07:33:23 -0500 (Thu, 29 Jan 2009) | 3 lines
Changed paths:
   M /trunk/samtools/Makefile
   A /trunk/samtools/bam_stat.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.2-1
 * added flagstat command

------------------------------------------------------------------------
r116 | lh3lh3 | 2009-01-28 08:31:12 -0500 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/NEWS
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/samtools.1

Release SAMtools-0.1.2

------------------------------------------------------------------------
r115 | lh3lh3 | 2009-01-28 07:54:08 -0500 (Wed, 28 Jan 2009) | 2 lines
Changed paths:
   A /trunk/samtools/misc/indel_filter.pl

Script for filtering indel results

------------------------------------------------------------------------
r114 | lh3lh3 | 2009-01-25 06:45:37 -0500 (Sun, 25 Jan 2009) | 2 lines
Changed paths:
   A /trunk/samtools/misc/zoom2sam.pl

convert ZOOM to SAM

------------------------------------------------------------------------
r113 | lh3lh3 | 2009-01-24 09:25:07 -0500 (Sat, 24 Jan 2009) | 2 lines
Changed paths:
   A /trunk/samtools/misc/novo2sam.pl

add a script to convert novo alignment to SAM

------------------------------------------------------------------------
r112 | lh3lh3 | 2009-01-23 15:57:39 -0500 (Fri, 23 Jan 2009) | 2 lines
Changed paths:
   M /trunk/samtools/ChangeLog
   M /trunk/samtools/ChangeLog.old
   M /trunk/samtools/samtools.1

update documentation and ChangeLog

------------------------------------------------------------------------
r111 | lh3lh3 | 2009-01-23 14:22:59 -0500 (Fri, 23 Jan 2009) | 3 lines
Changed paths:
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c

 * samtools-0.1.1-19
 * fixed a bug in "merge" command line

------------------------------------------------------------------------
r110 | lh3lh3 | 2009-01-22 10:36:48 -0500 (Thu, 22 Jan 2009) | 3 lines
Changed paths:
   M /trunk/samtools/misc/Makefile
   A /trunk/samtools/misc/bowtie2sam.pl (from /branches/dev/samtools/misc/bowtie2sam.pl:108)
   M /trunk/samtools/misc/export2sam.pl
   A /trunk/samtools/misc/soap2sam.pl (from /branches/dev/samtools/misc/soap2sam.pl:108)
   A /trunk/samtools/misc/wgsim.c (from /branches/dev/samtools/misc/wgsim.c:108)
   A /trunk/samtools/misc/wgsim_eval.pl (from /branches/dev/samtools/misc/wgsim_eval.pl:108)

 * merge from branches/dev/
 * all future development will happen here

------------------------------------------------------------------------
r109 | lh3lh3 | 2009-01-22 10:14:27 -0500 (Thu, 22 Jan 2009) | 3 lines
Changed paths:
   M /trunk/samtools/COPYING
   M /trunk/samtools/ChangeLog
   A /trunk/samtools/INSTALL (from /branches/dev/samtools/INSTALL:108)
   M /trunk/samtools/Makefile
   A /trunk/samtools/Makefile.lite (from /branches/dev/samtools/Makefile.lite:108)
   M /trunk/samtools/bam.c
   M /trunk/samtools/bam.h
   M /trunk/samtools/bam_import.c
   M /trunk/samtools/bam_index.c
   M /trunk/samtools/bam_lpileup.c
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_maqcns.h
   A /trunk/samtools/bam_mate.c (from /branches/dev/samtools/bam_mate.c:108)
   M /trunk/samtools/bam_pileup.c
   M /trunk/samtools/bam_plcmd.c
   A /trunk/samtools/bam_rmdup.c (from /branches/dev/samtools/bam_rmdup.c:108)
   M /trunk/samtools/bam_sort.c
   M /trunk/samtools/bamtk.c
   M /trunk/samtools/bgzf.h
   M /trunk/samtools/examples/00README.txt
   A /trunk/samtools/examples/Makefile (from /branches/dev/samtools/examples/Makefile:108)
   D /trunk/samtools/examples/ex1.fa.fai
   M /trunk/samtools/examples/ex1.sam.gz
   M /trunk/samtools/faidx.c
   A /trunk/samtools/glf.c (from /branches/dev/samtools/glf.c:108)
   M /trunk/samtools/glf.h
   M /trunk/samtools/misc/Makefile
   M /trunk/samtools/misc/maq2sam.c
   M /trunk/samtools/razf.c
   M /trunk/samtools/source.dot

 * Merge from branches/dev/
 * all future development will happen here at trunk/

------------------------------------------------------------------------
r79 | bhandsaker | 2009-01-07 16:42:15 -0500 (Wed, 07 Jan 2009) | 2 lines
Changed paths:
   M /trunk/samtools/bam_maqcns.c
   M /trunk/samtools/bam_tview.c

Fix problem with compiling without curses.

------------------------------------------------------------------------
r63 | lh3lh3 | 2008-12-22 10:58:02 -0500 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   A /trunk/samtools (from /branches/dev/samtools:62)

Create trunk copy

------------------------------------------------------------------------
r62 | lh3lh3 | 2008-12-22 10:55:13 -0500 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/NEWS
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

Release samtools-0.1.1

------------------------------------------------------------------------
r61 | lh3lh3 | 2008-12-22 10:46:08 -0500 (Mon, 22 Dec 2008) | 10 lines
Changed paths:
   M /branches/dev/samtools/bam_aux.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/razf.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-66
 * fixed a bug in razf.c: reset z_eof when razf_seek() is called
 * fixed a memory leak in parsing a region
 * changed pileup a little bit when -s is in use: output ^ and $
 * when a bam is not indexed, output more meaningful error message
 * fixed a bug in indexing for small alignment
 * fixed a bug in the viewer when we come to the end of a reference file
 * updated documentation
 * prepare to release 0.1.1

------------------------------------------------------------------------
r60 | lh3lh3 | 2008-12-22 10:10:16 -0500 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/examples
   A /branches/dev/samtools/examples/00README.txt
   A /branches/dev/samtools/examples/ex1.fa
   A /branches/dev/samtools/examples/ex1.fa.fai
   A /branches/dev/samtools/examples/ex1.sam.gz

example

------------------------------------------------------------------------
r59 | lh3lh3 | 2008-12-22 04:38:15 -0500 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog

update ChangeLog

------------------------------------------------------------------------
r58 | lh3lh3 | 2008-12-20 18:06:00 -0500 (Sat, 20 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/misc/export2sam.pl

 * added comments
 * fixed several bugs 

------------------------------------------------------------------------
r57 | lh3lh3 | 2008-12-20 10:44:20 -0500 (Sat, 20 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/misc/export2sam.pl

convert Export format to SAM; not thoroughly tested

------------------------------------------------------------------------
r56 | lh3lh3 | 2008-12-19 17:13:28 -0500 (Fri, 19 Dec 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/source.dot

 * samtools-0.1.0-65
 * pileup: generate maq-like simple output
 * pileup: allow to output pileup at required sites
 * source.dot: source file relationship graph
 * tview: fixed a minor bug

------------------------------------------------------------------------
r55 | lh3lh3 | 2008-12-19 15:10:26 -0500 (Fri, 19 Dec 2008) | 2 lines
Changed paths:
   D /branches/dev/samtools/misc/all2sam.pl

remove all2sam.pl

------------------------------------------------------------------------
r54 | lh3lh3 | 2008-12-16 17:34:25 -0500 (Tue, 16 Dec 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/COPYING
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/faidx.h
   M /branches/dev/samtools/khash.h
   M /branches/dev/samtools/kseq.h
   M /branches/dev/samtools/ksort.h
   M /branches/dev/samtools/samtools.1

Added copyright information and a bit more documentation. No code change.

------------------------------------------------------------------------
r53 | lh3lh3 | 2008-12-16 08:40:18 -0500 (Tue, 16 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-64
 * improved efficiency of the indel caller for spliced alignments

------------------------------------------------------------------------
r52 | lh3lh3 | 2008-12-16 05:28:20 -0500 (Tue, 16 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_aux.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-63
 * a bit code cleanup: reduce the dependency between source files

------------------------------------------------------------------------
r51 | lh3lh3 | 2008-12-15 09:29:32 -0500 (Mon, 15 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-62
 * fixed a memory leak

------------------------------------------------------------------------
r50 | lh3lh3 | 2008-12-15 09:00:13 -0500 (Mon, 15 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/samtools.1

update documentation, ChangeLog and a comment

------------------------------------------------------------------------
r49 | lh3lh3 | 2008-12-15 08:36:43 -0500 (Mon, 15 Dec 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_maqcns.h
   M /branches/dev/samtools/bam_pileup.c
   A /branches/dev/samtools/bam_plcmd.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-61
 * moved pileup command to a separate source file
 * added indel caller
 * added bam_cal_segend(). (NOT WORKING for spliced alignment!!!)
 * updated documentation

------------------------------------------------------------------------
r48 | lh3lh3 | 2008-12-12 08:55:36 -0500 (Fri, 12 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-60
 * fixed another bug in maqcns when there is a nearby deletion

------------------------------------------------------------------------
r47 | lh3lh3 | 2008-12-12 08:42:16 -0500 (Fri, 12 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-59
 * pileup: outputing consensus is now optional
 * fixed a bug in glfgen. This bug also exists in maq's glfgen. However,
   I am not quite sure why the previous version may have problem.

------------------------------------------------------------------------
r46 | lh3lh3 | 2008-12-12 06:44:56 -0500 (Fri, 12 Dec 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-58
 * add maq consensus to pileup. However, I will move this part to a new
   command as strictly speaking, consensus callin is not part of pileup,
   and imposing it would make it harder to generate for other language
   bindings.

------------------------------------------------------------------------
r45 | bhandsaker | 2008-12-11 15:43:56 -0500 (Thu, 11 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bgzf.c

Fix bug in tell() after reads that consume to the exact end of a block.

------------------------------------------------------------------------
r44 | lh3lh3 | 2008-12-11 04:36:53 -0500 (Thu, 11 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/samtools.1

update manual

------------------------------------------------------------------------
r43 | lh3lh3 | 2008-12-11 04:25:36 -0500 (Thu, 11 Dec 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-57
 * fixed a bug in parser when there is auxiliary fields
 * made the parser a bit more robust

------------------------------------------------------------------------
r42 | lh3lh3 | 2008-12-10 09:57:29 -0500 (Wed, 10 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.c

 * samtools-0.1.0-56
 * fixed a bug in bgzf (only reading is affected)
 * fixed a typo in bam_index.c
 * in bam_index.c, check potential bugs in the underlying I/O library

------------------------------------------------------------------------
r41 | lh3lh3 | 2008-12-10 07:53:08 -0500 (Wed, 10 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/samtools.1

update manual

------------------------------------------------------------------------
r40 | lh3lh3 | 2008-12-10 06:52:10 -0500 (Wed, 10 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-55
 * tried to make pileup work with clipping (previously not), though NOT tested
 * removed -v from pileup
 * made pileup take the reference sequence

------------------------------------------------------------------------
r39 | lh3lh3 | 2008-12-09 06:59:28 -0500 (Tue, 09 Dec 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-54
 * in parser, recognize "=", rather than ",", as a match
 * in parser, correctl parse "=" at the MRNM field.

------------------------------------------------------------------------
r38 | lh3lh3 | 2008-12-09 06:39:07 -0500 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/maq2sam.c

fixed a bug in handling maq flag 64 and 192

------------------------------------------------------------------------
r37 | lh3lh3 | 2008-12-09 04:53:46 -0500 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/md5fa.c

also calculate unordered md5sum check

------------------------------------------------------------------------
r36 | lh3lh3 | 2008-12-09 04:46:21 -0500 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/md5fa.c

fixed a minor bug when there are space in the sequence

------------------------------------------------------------------------
r35 | lh3lh3 | 2008-12-09 04:40:45 -0500 (Tue, 09 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/md5fa.c

fixed a potential memory leak

------------------------------------------------------------------------
r34 | lh3lh3 | 2008-12-08 09:52:17 -0500 (Mon, 08 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c

 * fixed a bug in import: bin is wrongly calculated

------------------------------------------------------------------------
r33 | lh3lh3 | 2008-12-08 09:08:01 -0500 (Mon, 08 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/misc/all2sam.pl

nothing, really

------------------------------------------------------------------------
r32 | lh3lh3 | 2008-12-08 07:56:02 -0500 (Mon, 08 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/kseq.h
   M /branches/dev/samtools/misc/Makefile
   A /branches/dev/samtools/misc/md5.c
   A /branches/dev/samtools/misc/md5.h
   A /branches/dev/samtools/misc/md5fa.c

 * fixed two warnings in kseq.h
 * added md5sum utilities

------------------------------------------------------------------------
r31 | lh3lh3 | 2008-12-08 06:35:29 -0500 (Mon, 08 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/kseq.h
   D /branches/dev/samtools/kstream.h

 * samtools-0.1.0-52
 * replace kstream with kseq. kseq is a superset of kstream. I need the
   extra functions in kseq.h.
 * also compile stand-alone faidx

------------------------------------------------------------------------
r30 | lh3lh3 | 2008-12-08 06:17:04 -0500 (Mon, 08 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_sort.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-51
 * sorting by read names is available

------------------------------------------------------------------------
r29 | lh3lh3 | 2008-12-08 05:29:02 -0500 (Mon, 08 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bam_sort.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/misc/maq2sam.c

 * samtools-0.1.0-50
 * format change to meet the latest specification

------------------------------------------------------------------------
r28 | lh3lh3 | 2008-12-04 11:09:21 -0500 (Thu, 04 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/misc/maq2sam.c

 * minor change in maqcns: special care when n==0
 * change maq2sam to meet the latest specification

------------------------------------------------------------------------
r27 | lh3lh3 | 2008-12-04 10:55:44 -0500 (Thu, 04 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/razf.c
   M /branches/dev/samtools/razf.h

considerable code clean up in razf

------------------------------------------------------------------------
r26 | lh3lh3 | 2008-12-04 10:08:18 -0500 (Thu, 04 Dec 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/ChangeLog
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/faidx.c

make RAZF optional in faidx.c

------------------------------------------------------------------------
r25 | lh3lh3 | 2008-12-01 10:27:22 -0500 (Mon, 01 Dec 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/bam_aux.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-49
 * added routines for retrieving aux data, NOT TESTED YET!

------------------------------------------------------------------------
r24 | lh3lh3 | 2008-12-01 09:29:43 -0500 (Mon, 01 Dec 2008) | 5 lines
Changed paths:
   M /branches/dev/samtools/bam.c
   M /branches/dev/samtools/bam_import.c
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.c
   M /branches/dev/samtools/samtools.1

 * samtools-0.1.0-48
 * bgzf: fixed a potential integer overflow on 32-it machines
 * maqcns: set the minimum combined quality as 0
 * supporting hex strings

------------------------------------------------------------------------
r23 | lh3lh3 | 2008-11-27 12:14:37 -0500 (Thu, 27 Nov 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/bam_maqcns.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-47
 * fixed the bug in maqcns

------------------------------------------------------------------------
r22 | lh3lh3 | 2008-11-27 12:08:11 -0500 (Thu, 27 Nov 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   A /branches/dev/samtools/bam_maqcns.c
   A /branches/dev/samtools/bam_maqcns.h
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/glf.h

 * samtools-0.1.0-46
 * add MAQ consensus caller, currently BUGGY!

------------------------------------------------------------------------
r21 | lh3lh3 | 2008-11-27 08:51:28 -0500 (Thu, 27 Nov 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_pileup.c
   M /branches/dev/samtools/bam_tview.c
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-45
 * tview: display padded alignment (but not P operation)
 * better coordinates and reference sequence

------------------------------------------------------------------------
r19 | lh3lh3 | 2008-11-27 04:26:05 -0500 (Thu, 27 Nov 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/ChangeLog

new ChangeLog

------------------------------------------------------------------------
r18 | lh3lh3 | 2008-11-27 04:24:45 -0500 (Thu, 27 Nov 2008) | 3 lines
Changed paths:
   D /branches/dev/samtools/ChangeLog
   A /branches/dev/samtools/ChangeLog.old (from /branches/dev/samtools/ChangeLog:6)

Rename ChangeLog to ChangeLog.old. This old ChangeLog is generated from
the log of my personal SVN repository.

------------------------------------------------------------------------
r17 | lh3lh3 | 2008-11-27 04:22:55 -0500 (Thu, 27 Nov 2008) | 6 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/bgzf.c

 * samtools-0.1.0-44
 * declare fseeko and ftello as some Linux may not do this by default and
   missing these declarations will make bgzf buggy
 * get rid of some harmless warings
 * use BGZF by default, now

------------------------------------------------------------------------
r16 | lh3lh3 | 2008-11-26 16:19:11 -0500 (Wed, 26 Nov 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c
   M /branches/dev/samtools/bamtk.c
   M /branches/dev/samtools/razf.c

 * samtools-0.1.0-43
 * fixed a bug in razf_read()
 * give more warnings when the file is truncated (or due to bugs in I/O library)

------------------------------------------------------------------------
r15 | lh3lh3 | 2008-11-26 15:41:39 -0500 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bgzf.c

fixed a bug in bgzf.c at the end of the file

------------------------------------------------------------------------
r14 | lh3lh3 | 2008-11-26 12:05:18 -0500 (Wed, 26 Nov 2008) | 4 lines
Changed paths:
   M /branches/dev/samtools/bamtk.c

 * samtools-0.1.0-42
 * a lot happened to RAZF, although samtools itself is untouched. Better
   also update the version number anyway to avoid confusion

------------------------------------------------------------------------
r13 | lh3lh3 | 2008-11-26 12:03:48 -0500 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/razf.c

a change from Jue, but I think it should not matter

------------------------------------------------------------------------
r12 | lh3lh3 | 2008-11-26 11:48:14 -0500 (Wed, 26 Nov 2008) | 3 lines
Changed paths:
   M /branches/dev/samtools/razf.c

fixed a potential bug in razf. However, it seems still buggy, just
rarely happens, very rarely.

------------------------------------------------------------------------
r11 | lh3lh3 | 2008-11-26 09:02:56 -0500 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/razf.c

fixed a bug in razf, with the help of Jue

------------------------------------------------------------------------
r10 | lh3lh3 | 2008-11-26 06:55:32 -0500 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/bam_index.c

remove a comment

------------------------------------------------------------------------
r9 | lh3lh3 | 2008-11-26 06:37:05 -0500 (Wed, 26 Nov 2008) | 2 lines
Changed paths:
   M /branches/dev/samtools/Makefile
   M /branches/dev/samtools/bam.h
   M /branches/dev/samtools/razf.c
   M /branches/dev/samtools/razf.h

 * Jue has updated razf to realize Bob's scheme

------------------------------------------------------------------------
r7 | lh3lh3 | 2008-11-25 15:37:37 -0500 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools/samtools.1

the manual page

------------------------------------------------------------------------
r6 | lh3lh3 | 2008-11-25 15:37:16 -0500 (Tue, 25 Nov 2008) | 3 lines
Changed paths:
   A /branches/dev/samtools/ChangeLog
   A /branches/dev/samtools/Makefile
   A /branches/dev/samtools/bam.c
   A /branches/dev/samtools/bam.h
   A /branches/dev/samtools/bam_aux.c
   A /branches/dev/samtools/bam_endian.h
   A /branches/dev/samtools/bam_import.c
   A /branches/dev/samtools/bam_index.c
   A /branches/dev/samtools/bam_lpileup.c
   A /branches/dev/samtools/bam_pileup.c
   A /branches/dev/samtools/bam_sort.c
   A /branches/dev/samtools/bam_tview.c
   A /branches/dev/samtools/bamtk.c
   A /branches/dev/samtools/bgzf.c
   A /branches/dev/samtools/bgzf.h
   A /branches/dev/samtools/bgzip.c
   A /branches/dev/samtools/faidx.c
   A /branches/dev/samtools/faidx.h
   A /branches/dev/samtools/khash.h
   A /branches/dev/samtools/ksort.h
   A /branches/dev/samtools/kstream.h
   A /branches/dev/samtools/misc
   A /branches/dev/samtools/misc/Makefile
   A /branches/dev/samtools/misc/all2sam.pl
   A /branches/dev/samtools/misc/maq2sam.c
   A /branches/dev/samtools/razf.c
   A /branches/dev/samtools/razf.h
   A /branches/dev/samtools/razip.c
   A /branches/dev/samtools/zutil.h

The initial version of samtools, replicated from my local SVN repository.
The current version is: 0.1.0-42. All future development will happen here.

------------------------------------------------------------------------
r5 | lh3lh3 | 2008-11-25 15:30:49 -0500 (Tue, 25 Nov 2008) | 2 lines
Changed paths:
   A /branches/dev/samtools

samtools (C version)

------------------------------------------------------------------------
